<?php

namespace App\Http\Controllers\Jdt;

use App\Turn;
use App\Jocdetrons;
use App\Casa;
use App\Map;
use App\TurnUser;
use App\TurnMapArmy;
use App\TurnMapOrder;
use App\Army;
use App\Order;
use App\PowerToken;
use App\Combat;
use App\HouseCard;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class CombatController extends Controller
{
    function __construct(){
        $this->middleware('auth');
    }
    public function show($idcombat){
        $combat = Combat::FindorFail($idcombat);
        $userturn = TurnUser::torn($combat->attack->turn_id)->get();
        $jocdetrons = Jocdetrons::with(['user','player'])->FindorFail($userturn->first()->turn->jocdetrons_id);
        $map = Map::All();
        $army = Army::All();
        $orders = Order::All();
        $userorders = $userturn->where('user_id',auth()->user()->id)->first();
        $atacant = $userorders->atacant()->first();
        $defensor = $userorders->defensor()->first();
        $powertokens = $userorders->turn->PowerTokens();
        if( request()->wantsJson()){
            return (['map'=>$map,'army'=>$army,'orders'=> $orders,'userturn'=> $userturn,'userorders'=>$userorders, 'powertokens'=>$powertokens]);
        }
        return view('jdt.play',compact('jocdetrons','map','userturn','army','orders','userorders','atacant','defensor','combat'));
    }
    public function update(Request $request, $id){
        $combat = Combat::FindorFail($id);
        if($request->has('atacant')){
            $combat->update(['attack_card' => $request->get('card')]);
        }else{
            $combat->update([
                'defender_card' => $request->get('card'),
                'defender_retreat' => $request->get('retreat')
            ]);
        }
        if($request->has('sword')){
            $combat->update(['sword' => $request->get('sword')]);
        }
        if($combat->attack_card!=null && $combat->defender_card!=null){
            $attack_card = HouseCard::FindorFail($combat->attack_card);
            $defense_card = HouseCard::FindorFail($combat->defender_card);
            $attack_strength=$combat->attack_strength + $attack_card->strength;
            ($combat->attack->oSword==1 && $combat->Sword==1)?$attack_strength++:$attack_strength;
            $defense_strength=$combat->defender_strength + $defense_card->strength;
            ($combat->defender->oSword==1 && $combat->Sword==1)?$defense_strength++:$defense_strength;
            $attack_card->User()->updateExistingPivot($combat->attack_id,['used'=>'1']);
            $defense_card->User()->updateExistingPivot($combat->defender_id,['used'=>'1']);
            if($attack_strength>$defense_strength ||($attack_strength==$defense_strength && $combat->attack->oSword<$combat->defender->oSword)){
                $defender = TurnUser::with('army','orders')->FindorFail($combat->defender_id);
                $order = $defender->orders->firstWhere('territory_id',$combat->map_id);
                if(isset($order)){$order->delete();}
                $delete_trop = $attack_card->swords - $defense_card->shields;
                foreach($defender->army->where('territory_id',$combat->map_id)->SortBy('army_id') as $idarmy){
                    $army = TurnMapArmy::FindorFail($idarmy->id);
                    if($army->retreat){$army->delete();}
                    if($delete_trop>0){
                        $army->delete();
                        $delete_trop--;
                    }else{
                        if($combat->defender_retreat!=null){
                            $army->update([
                                'territory_id'=>$combat->defender_retreat,
                                'retreat'=>'1'
                            ]);
                        }else{
                            $army->delete();
                        }
                    }
                }
                $atacant = TurnUser::FindorFail($combat->attack_id);
                $powertoken = PowerToken::where('turn_id',$atacant->turn_id)->where('map_id',$combat->map_id)->first();
                if($powertoken!=null){
                    $powertoken->delete();
                }
                if($combat->powertoken && $atacant->powerpokens>0){
                    $actualPT = $atacant->powertokens-1;
                    $atacant->update(['powertokens' => $actualPT]);
                    $token = new PowerToken;
                    $token->turn_id = $atacant->turn_id;
                    $token->turnuser_id = $atacant->id;
                    $token->map_id = $combat->attack_retreat;
                    $token->save(); 
                }
                $turn = Turn::FindorFail($atacant->turn_id);
            }else{
                $attack = TurnUser::with('army')->FindorFail($combat->attack_id);
                $delete_trop = $defense_card->swords - $attack_card->shields;
                foreach($attack->army->where('territory_id',$combat->map_id)->SortBy('army_id') as $idarmy){
                    $army = TurnMapArmy::FindorFail($idarmy->id);
                    if($delete_trop>0){
                        $army->delete();
                        $delete_trop--;
                    }else{
                        $army->update([
                            'territory_id'=>$combat->attack_retreat,
                            'retreat'=>'1'
                        ]);
                        $powertoken = false;
                    }
                }
                $turn = Turn::FindorFail($attack->turn_id);
            }
            $combat->update(['finished'=>'1']);
            foreach($turn->turnuser as $turnid){
                $presentturn = TurnUser::Find($turnid->id);
                $victorypoints = $presentturn->victorypoints();
                if($victorypoints>=7){
                    $turn->update(['phase'=>'14']);
                    return redirect()->route('jdt.nextphase',$turn->id);
                }
            }
            foreach($turn->ThroneOrder($turn->player_id) as $thisturn){
                $actualturn = TurnUser::Find($thisturn->id);
                if($actualturn->hasMovements()){
                    $turn->update([
                            'player_id' => $thisturn->user_id,
                            'phase' => '9'
                        ]);
                    return redirect()->route('jdt.turn', [$turn->jocdetrons_id, $turn->id])->with('info',trans('jdt.finishedcombat'));
                } 
            }
            $turn->update(['phase' => '9']);
            return redirect()->route('jdt.nextphase', $turn->id);
        }
        return back()->with('info',trans('jdt.UpdatedCard'));
    }
}