<?php

namespace App\Http\Controllers\Jdt;

use App\Turn;
use App\Jocdetrons;
use App\Casa;
use App\Map;
use App\TurnUser;
use App\TurnMapArmy;
use App\TurnMapOrder;
use App\Army;
use App\Order;
use App\PowerToken;
use App\Combat;
use App\WesterosCard;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TurnController extends Controller
{
    function __construct(){
        $this->middleware('auth');
    }

    public function show($jdt, $idturn){
        $jocdetrons = Jocdetrons::with(['user','player'])->FindorFail($jdt);
        if($jocdetrons->started){
            $userturn = TurnUser::torn($idturn)->get();
            if($userturn->first()->turn->phase==12){
                return redirect()->route('jdt.combat',$userturn->first()->atacant()->first()->id);
            }
            $map = Map::All();
            $army = Army::All();
            $orders = Order::All();
            $userorders = $userturn->where('user_id',auth()->user()->id)->first();
            $powertokens = $userorders->turn->PowerTokens();
            if( request()->wantsJson()){
                return (['map'=>$map,'army'=>$army,'orders'=> $orders,'userturn'=> $userturn,'userorders'=>$userorders, 'powertokens'=>$powertokens]);
            }
            return view('jdt.play',compact('jocdetrons','map','userturn','army','orders','userorders'));
        }else{
            return view('jdt.show',compact('jocdetrons'));
        }
    }

    public function NextPhase($id){
        $turn = Turn::FindorFail($id);
        switch($turn->phase){
            case(1):
                $deck = $turn->phase;
                $westerosCard = $turn->westerosCard()->wherePivot('finished',false)->where('westerosdeck',$deck)->first();
                $turn->westerosCard()->updateExistingPivot($westerosCard,['finished'=>true]);
                $turn->phase = '2';
                $turn->save();
                foreach($turn->turnuser as $userturn){
                    $userturn->westeros = false;
                    $userturn->save();
                }
            break;
            case(2):
                $deck = $turn->phase;
                $westerosCard = $turn->westerosCard()->wherePivot('finished',false)->where('westerosdeck',$deck)->first();
                $turn->westerosCard()->updateExistingPivot($westerosCard,['finished'=>true]);
                $turn->phase = '3';
                $turn->save();
                foreach($turn->turnuser as $userturn){
                    $userturn->westeros = false;
                    $userturn->save();
                }
            break;
            case(3):
                $deck = $turn->phase;
                $westerosCard = $turn->westerosCard()->wherePivot('finished',false)->where('westerosdeck',$deck)->first();
                $turn->westerosCard()->updateExistingPivot($westerosCard,['finished'=>true]);
                $turn->phase = '7';
                $turn->save();
            break;
            case(7):
                if($turn->TotalTerritories() == $turn->TotalOrders()){
                    foreach($turn->TurnUser->sortBy('oThrone') as $userTurn){
                        if($userTurn->hasRaids()){
                            $turn->update([
                                'phase'=>8,
                                'player_id' => $userTurn->user_id
                            ]);
                            return redirect()->route('jdt.turn', [$turn->jocdetrons_id, $turn->id]);
                        }
                    }
                    $turn->update([
                        'phase'=>9,
                        'player_id' => $turn->TurnUser->sortBy('oThrone')->first()->user_id
                    ]);
                }
                break;
            case(8):
                $turn->update([
                    'phase'=>9,
                    'player_id' => $turn->TurnUser->sortBy('oThrone')->first()->user_id
                ]);
                break;
            case(9):
                foreach($turn->turnuser as $userturn){
                    if($userturn->hasCrowns()){
                        $PowerToken = $userturn->powertokens;
                        foreach($userturn->orders->whereIn('order_id',['13','14','15']) as $order){
                            $PowerToken++;
                            $PowerToken = $PowerToken+$order->territory->crowns;
                        }
                        $usertoupdate = TurnUser::FindorFail($userturn->id);
                        $usertoupdate->update([
                                'powertokens' => $PowerToken
                            ]);
                    }
                }
                if($turn->number==10){
                    $turn->update(['phase'=>14]);
                    return redirect()->route('jdt.nextphase', $turn->id);
                }
                $turn = Turn::FindorFail($id);
                $newturn = New Turn;
                $newturn->jocdetrons_id = $turn->jocdetrons_id;
                $newturn->number = $turn->number+1;
                $newturn->phase = 1;
                $newturn->westeros1 = $turn->westeros1;
                $newturn->westeros2 = $turn->westeros2;
                $newturn->westeros3 = $turn->westeros3;
                $newturn->wildstrength = $turn->wildstrength;
                $newturn->save();
                $newturn->westeros1 = $newturn->StartWesteros($newturn->westeros1, false);
                $newturn->westeros2 = $newturn->StartWesteros($newturn->westeros2, false);
                $newturn->westeros3 = $newturn->StartWesteros($newturn->westeros3, false);
                $newturn->save();
                foreach($turn->turnuser as $userturn){
                    $newuserturn = New TurnUser;
                    $newuserturn->user_id = $userturn->user_id;
                    $newuserturn->turn_id = $newturn->id;
                    $newuserturn->house_id = $userturn->house_id;
                    $newuserturn->supply = $userturn->supply;
                    $newuserturn->victory = $userturn->victory;
                    $newuserturn->oThrone = $userturn->oThrone;
                    $newuserturn->oSword = $userturn->oSword;
                    $newuserturn->oCrow = $userturn->oCrow;
                    $newuserturn->powertokens = $userturn->powertokens;
                    $newuserturn->save();
                    foreach($userturn->army as $army){
                        $newarmy = New TurnMapArmy;
                        $newarmy->turnuser_id = $newuserturn->id;
                        $newarmy->turn_id = $newturn->id;
                        $newarmy->territory_id = $army->territory_id;
                        $newarmy->army_id = $army->army_id;
                        $newarmy->save();
                    }
                    foreach($userturn->PowerToken as $PowerToken){
                        $token = new PowerToken;
                        $token->turn_id = $newturn->id;
                        $token->turnuser_id = $newuserturn->id;
                        $token->map_id = $PowerToken->map_id;
                        $token->save();
                    }
                    foreach($userturn->HouseCard as $HouseCard){
                        $newuserturn->housecard()->syncWithoutDetaching($HouseCard);
                        $newuserturn->housecard()->updateExistingPivot($HouseCard,['used'=>$HouseCard->pivot->used]);
                    }
                } 
                $turn->update(['phase'=>10]);
                return redirect()->route('jdt.turn', [$turn->jocdetrons_id, $newturn->id]);
                break;
            case(14):
                $victoryorder = collect();
                foreach($turn->turnuser as $userturn){
                    $victorypoints = $userturn->victorypoints();
                    $result = $userturn->victoryorder()->get();
                }
                foreach($result as $key=>$userturn){
                    $usertoupdate = TurnUser::FindorFail($userturn->id);
                    $usertoupdate->update([
                            'ovictory' => $key+1
                        ]);
                }
                $turn->update(['phase'=>15]);
                break;
        }
        return redirect()->route('jdt.turn', [$turn->jocdetrons_id, $turn->id]);
    }

    public function orders(Request $request, $id){
        $this->validate($request, [
            'orders.*' => 'distinct'
            ]);
        $userturn = TurnUser::FindorFail($id);
        $territories = $request->get('territory');
        $orders = $request->get('orders');
        $especialorders = Order::find($orders)->where('extra',1)->count();
        if($especialorders <= $userturn->MaxEspecialOrders()){
            for($i=0; $i<count($territories); $i++){
                if($orders!="NO"){
                    $order = TurnMapOrder::where('turnuser_id', $userturn->id)->where('territory_id',$territories[$i])->first();
                    if($order!=null){
                        $order->update(['order_id'=>$orders[$i]]);
                    } else {
                        $order = new TurnMapOrder;
                        $order->turn_id = $userturn->turn_id;
                        $order->turnuser_id = $userturn->id;
                        $order->territory_id = $territories[$i];
                        $order->order_id = $orders[$i];
                        $order->save();
                    }
                }
            }
            return redirect()->route('jdt.turn', [$userturn->turn->jocdetrons_id, $userturn->turn->id])->with('info',trans('jdt.ordersupdated'));
        } else {
            return redirect()->route('jdt.turn', [$userturn->turn->jocdetrons_id, $userturn->turn->id])->with('error',trans('jdt.maxespecialorders'));
        }
    }

    public function raidorder(Request $request, $id){
        $order = TurnMapOrder::FindOrFail($request->get('order'));
        $userturn = TurnUser::FindorFail($id);
        $turn = Turn::FindOrFail($userturn->turn_id);
        $eraseorder = $turn->TurnOrders()->where('territory_id',$request->get('territory'))->first();
        if($eraseorder != null){
            $deleteorder = TurnMapOrder::FindOrFail($eraseorder->id);
            $deleteorder->delete();
        }
        $order->delete();
        foreach($turn->ThroneOrder($turn->player_id) as $thisturn){
            $actualturn = TurnUser::Find($thisturn->id);
            if($actualturn->hasRaids()){
                $turn->update(['player_id' => $thisturn->user_id]);
                return back()->with('info',trans('jdt.raidsuccess'));
            } 
        }
        return redirect()->route('jdt.nextphase', $turn->id);
    }
    public function moveorder(Request $request, $id){
        $armies = collect($request->get('army'));
        $territory = collect($request->get('territory'));
        $order = TurnMapOrder::FindorFail($request->get('order'));
        $userturn = TurnUser::FindorFail($id);
        $turn = Turn::FindOrFail($userturn->turn_id);
        $territories=$turn->OcupedTerritories();
        $pau = true;
        $powertoken = ($request->get('PowerToken')==1)? true : false;
        for($i=0; $i<count($armies); $i++){
            $destination = $territories->firstWhere('territory_id',$territory[$i]);
            if($destination==null || $destination->turnuser_id == $userturn->id){
                $army = TurnMapArmy::FindOrFail($armies[$i]);
                if($territory[$i]!=$army->territory_id){
                    if($userturn->army->where('territory_id',$territory[$i])->count()<$userturn->maxarmy()){
                        $army->update(['territory_id'=>$territory[$i]]);
                        $powertokendel = PowerToken::where('turn_id',$userturn->turn_id)->where('map_id',$territory[$i])->first();
                        if($powertokendel!=null && $powertokendel->turnuser_id == $userturn->id){
                            $powertokendel->delete();
                        }
                    }else{
                        return back()->with('error','Estàs sobrepassant el màxim de tropes per territori.');
                    }
                }else{
                    $powertoken=false;
                }
            }else{
                if($pau){
                    $pau = false;
                    $atacant = $userturn->user_id;
                    $originalstrength = $order->strength();
                    $defensor = TurnMapArmy::control($territory[$i],$userturn->turn_id)->first();
                    $army = TurnMapArmy::FindOrFail($armies[$i]);
                    $army->update(['territory_id'=>$territory[$i]]);
                    $attackorigin = $order->territory_id;
                    $battlefield = $territory[$i];
                }else{
                    if($territory[$i]!=$battlefield){
                        return back()->with('error','No pots iniciar dos combats amb el mateix moviment');
                    }else{
                        $army = TurnMapArmy::FindOrFail($armies[$i]);
                        $army->update(['territory_id'=>$territory[$i]]);
                    }
                }
            }
        }
        $order->delete();
        if($pau){
            if($powertoken && $userturn->powertokens>0){
                $actualPT = $userturn->powertokens-1;
                $userturn->update(['powertokens' => $actualPT]);
                $token = new PowerToken;
                $token->turn_id = $userturn->turn_id;
                $token->turnuser_id = $userturn->id;
                $token->map_id = $order->territory_id;
                $token->save(); 
            }
            foreach($turn->turnuser as $turnid){
                $presentturn = TurnUser::Find($turnid->id);
                $victorypoints = $presentturn->victorypoints();
                if($victorypoints>=7){
                    $turn->update(['phase'=>'14']);
                    return redirect()->route('jdt.nextphase',$turn->id);
                }
            }
            foreach($turn->ThroneOrder($turn->player_id) as $thisturn){
                $actualturn = TurnUser::Find($thisturn->id);
                if($actualturn->hasMovements()){
                    $turn->update([
                            'player_id' => $thisturn->user_id,
                            'phase' => '9'
                        ]);
                    return redirect()->route('jdt.turn', [$turn->jocdetrons_id, $turn->id])->with('info',trans('jdt.movesuccess'));
                } 
            }
            return redirect()->route('jdt.nextphase', $turn->id);
        }else{
            $combat = New Combat;
            $combat->map_id = $battlefield;
            $combat->attack_id = $userturn->id;
            $combat->attack_retreat = $attackorigin;
            $originalstrength += $userturn->strength($battlefield);
            $combat->attack_strength = $originalstrength;
            $combat->defender_id = $defensor->turnuser_id;
            $combat->defender_strength = TurnUser::FindOrFail($defensor->turnuser_id)->strength($battlefield);
            if($powertoken && $userturn->powertokens>0){
                $combat->powertoken = true ;
            }
            $combat->save();
            $turn->update(['phase'=>12]);
        }
        return redirect()->route('jdt.combat', $combat->id)->with('info','Combat');
    }
}
