<?php

namespace App\Http\Controllers\Jdt;


use App\Turn;
use App\Jocdetrons;
use App\Casa;
use App\Map;
use App\TurnUser;
use App\TurnMapArmy;
use App\TurnMapOrder;
use App\Army;
use App\Order;
use App\PowerToken;
use App\Combat;
use App\WesterosCard;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class WesterosCardController extends Controller
{
    public function recruitment(Request $request, $id){
        $userturn = TurnUser::FindorFail($id);
        $territories = $request->get('territory');
        $creations = $request->get('territory_creation');
        $armies = $request->get('army');
        foreach($territories as $territory){
            $result[$territory] = 0;
        }
        $correct=true;
        foreach($territories as $i=>$territory){
            if($userturn->army->where('territory_id',$territory)->count()>=$userturn->maxarmy() && $armies[$i]!=4){
                $correct=false;
                $error = "Estàs sobrepassant el màxim de tropes per territori.";
            }
            switch($armies[$i]){
                case(1):
                case(3):
                case(4):
                    $result[$territory]++;
                    break;
                case(2):
                    $result[$territory]=$result[$territory]+2;
            }
        }
        foreach($territories as $territory){
            if($result[$territory]>Map::findorFail($territory)->castles){
                $correct=false;
                $error='Estás intentant crear més unitats de les que generes';
            }
        }
        if($correct){
            foreach($creations as $i=>$creation){
                switch($armies[$i]){
                    case(1):
                        if($userturn->army->where('army_id',1)->count()<10){
                            if(!Map::findorFail($creation)->sea){

                            }else{
                                $correct=false;
                                $error=$error+"Estàs intentant de crear més infanteria de la permesa.";
                            }
                        }else{
                            $correct=false;
                            $error=$error+'Estàs intentant crear infanteria en el mar';
                        }
                    break;
                    case(2):
                        if(!Map::findorFail($creation)->sea){
                            if($userturn->army->where('army_id',2)->count()<4){
                                
                            }else{
                                $correct=false;
                                $error=$error+"Estàs intentant de crear més cavallers dels permesos.";
                            }
                        }else{
                            $correct=false;
                            $error=$error+'Estàs intentant crear un cavaller al mar';
                        }
                    break;
                    case(3):
                        if($userturn->army->where('army_id',3)->count()<6){
                            if(Map::findorFail($creation)->sea){
                                
                            }else{
                                $correct=false;
                                $error=$error+'Estàs intentant crear un vaixell a terra';
                            }
                        }else{
                            $correct=false;
                            $error=$error+"Estàs intentant de crear més vaixells dels permesos.";
                        }
                        
                    break;
                    case(4):
                        if($userturn->army->where('army_id',2)->count()<4){

                        }else{
                            $correct=false;
                            $error=$error+"Estàs intentant de crear més cavallers dels permesos.";
                        }
                    break;
                }
            }
        }
        if($correct){
            foreach($creations as $i=>$creation){
                switch($armies[$i]){
                    case(1):
                        $newarmy = New TurnMapArmy;
                        $newarmy->turnuser_id = $userturn->id;
                        $newarmy->turn_id = $userturn->turn_id;
                        $newarmy->territory_id = $creation;
                        $newarmy->army_id = 1;
                        $newarmy->save();
                    break;
                    case(2):
                        $newarmy = New TurnMapArmy;
                        $newarmy->turnuser_id = $userturn->id;
                        $newarmy->turn_id = $userturn->turn_id;
                        $newarmy->territory_id = $creation;
                        $newarmy->army_id = 2;
                        $newarmy->save();
                    break;
                    case(3):
                        $newarmy = New TurnMapArmy;
                        $newarmy->turnuser_id = $userturn->id;
                        $newarmy->turn_id = $userturn->turn_id;
                        $newarmy->territory_id = $creation;
                        $newarmy->army_id = 3;
                        $newarmy->save();
                    break;
                    case(4):
                        $newarmy = TurnMapArmy::where('army_id',1)->where('territory_id',$creation)->first();
                        $newarmy->army_id =2;
                        $newarmy->save();
                    break;
                }
            }
            $userturn->update(['westeros'=>true]);
            return back()->with('success',trans('RecruitmentSuccess'));
        }
        return back()->with('error',$error);
    }
    public function supply($id){
        $turn = Turn::FindorFail($id);
        foreach($turn->turnuser as $userturn){
            $actualuser = TurnUser::FindorFail($userturn->id);
            $actualuser->Supply = $actualuser->Supply();
            $actualuser->save();
        }
        return redirect()->route('jdt.nextphase', $turn->id);
    }
    public function shuffle($id){
        $turn = Turn::FindorFail($id);
        $deck = $turn->phase;
        $westerosCard = $turn->westerosCard()->wherePivot('finished',false)->where('westerosdeck',$deck)->first();
        $turn->westerosCard()->updateExistingPivot($westerosCard,['finished'=>true]);
        switch($deck){
            case(1):
                $turn->westeros1 = $turn->StartWesteros($turn->westeros1, true);
                break;
            case(2):
                $turn->westeros2 = $turn->StartWesteros($turn->westeros2, true);
                break;
            case(3):
                $turn->westeros3 = $turn->StartWesteros($turn->westeros3, true);
                break;
        }
        return back()->with('info','Barreja de Cartes Realitzada');
    }
    public function lastsummer($id){
        $turn = Turn::FindorFail($id);
        $turn->wildstrength = $turn->wildstrength+2;
        $turn->save();
        return redirect()->route('jdt.nextphase', $turn->id);
    }
    public function clashofkings(Request $request, $id){
        $turn = Turn::FindorFail($id);
        $userturn = TurnUser::FindorFail($request->get('userturn'));
        $PowerTokens = $userturn->powertokens;
        $bThrone = $request->get('bThrone');
        $bSword = $request->get('bSwords');
        $bCrow = $request->get('bCrows');
        if($bThrone+$bSword+$bCrow<=$PowerTokens){
            $userturn->bThrone = $bThrone;
            $userturn->bSword = $bSword;
            $userturn->bCrow = $bCrow;
            $userturn->westeros = true;
            $userturn->save();
        }else{
            return back()->with('error',trans('jdt.excessPowerTokens'));
        }
        if($turn->westerosfinish()){
            $result=collect();
            foreach($userturn->bthroneorder()->get() as $key=>$presentuser){
                $usertoupdate = TurnUser::FindorFail($presentuser->id);
                $PowerTokens = $usertoupdate->powertokens - $usertoupdate->bThrone;
                $usertoupdate->update([
                        'oThrone' => $key+1,
                        'powertokens' => $PowerTokens
                    ]);
            }
            foreach($userturn->bswordorder()->get() as $key=>$presentuser){
                $usertoupdate = TurnUser::FindorFail($presentuser->id);
                $PowerTokens = $usertoupdate->powertokens - $usertoupdate->bSword;
                $usertoupdate->update([
                        'oSword' => $key+1,
                        'powertokens' => $PowerTokens
                    ]);
            }
            foreach($userturn->bcroworder()->get() as $key=>$presentuser){
                $usertoupdate = TurnUser::FindorFail($presentuser->id);
                $PowerTokens = $usertoupdate->powertokens - $usertoupdate->bCrow;
                $usertoupdate->update([
                        'oCrow' => $key+1,
                        'powertokens' => $PowerTokens
                    ]);
            }
            return redirect()->route('jdt.nextphase', $turn->id);
        }
        return back()->with('info',trans('jdt.UpdatedBeat'));
    }
    public function gameofthrones($id){
        $turn = Turn::FindorFail($id);
        foreach($turn->turnuser as $userturn){
            $actualuser = TurnUser::FindorFail($userturn->id);
            $actualuser->powertokens = $actualuser->Power();
            $actualuser->save();
        }
        return redirect()->route('jdt.nextphase', $turn->id);
    }
    public function wildattack(Request $request, $id){
        $turn = Turn::FindorFail($id);
        $userturn = TurnUser::FindorFail($request->get('userturn'));
        $userturn->bWild = $request->get('PowerToken');
        $userturn->wildlose = $request->get('army');
        $userturn->westeros = true;
        $userturn->save();
        if($turn->westerosfinish()){
            $result=0;
            foreach($turn->turnuser as $presentuser){
                $actualuser = TurnUser::FindorFail($presentuser->id);
                $result = $result+$actualuser->bWild;
                $PowerTokens = $actualuser->powertokens - $actualuser->bWild;
                $actualuser->powertokens = $PowerTokens;
                $actualuser->bWild = 0;
                $actualuser->westeros = false;
                $actualuser->save();
            }
            if($result<$turn->wildstrength){
                foreach($turn->turnuser as $presentuser){
                    $army=TurnMapArmy::FindorFail($presentuser->wildlose);
                    $army->delete();
                }
            }
            $turn->wildstrength=0;
            $turn->save();
            return redirect()->route('jdt.nextphase', $turn->id);
        }
        return back()->with('info',trans('jdt.UpdatedWild'));
    }
}
