<?php

namespace App\Http\Controllers\Post;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;
use App\Http\Controllers\Controller;
use App\Post;
use App\Photo;

class PhotoController extends Controller
{
    function __construct(){
        $this->middleware('auth');
        $this->middleware('roles:admin');
    }

    public function store(Post $post){

        $this->validate(request(),[
            'photo' => 'image|max:2048'
        ]);
        
        $photo = request()->file('photo')->store('public');

        Photo::create([
            'url'=>Storage::url($photo),
            'post_id' => $post->id
        ]);

    }
    public function destroy(Photo $photo){
        $photo->delete();
        return back()->with('info', 'Foto Eliminada');
    }
}
