<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Jocdetrons extends Model
{
    protected $fillable = [
        'name',
        'open',
        'coperative',
        'houseassign',
        'turn',
        'gamekind',
        'invitecode',
        'user_id',
        'started',
    ];

    protected $dates = ['created_at', 'updated_at'];

    public function user(){
        return $this->belongsTo(User::class);
    }
    public function player(){
        return $this->belongsToMany(User::class,'jocdetrons_user')
            ->withPivot('casa_id');
    }
    public function gameturn(){
        return $this->hasMany(Turn::class);
    }
    public function scopeMyGames($query){
        $query->with(['user','player'])
            ->join('jocdetrons_user','jocdetrons.id','=','jocdetrons_user.jocdetrons_id')
            ->where('jocdetrons_user.user_id',auth()->id())
            ->select('jocdetrons.*','jocdetrons_user.jocdetrons_id')
            ->distinct();            
    }
    public function scopeOpened($query){
        $query->where('jocdetrons.open','1')
            ->where('started','0');
    }
    
}
