<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Map extends Model
{
    public function neighbors(){
        return $this->belongsToMany(Map::class, 'map_neighbors','map_id','neighbour_id');
    }
    public function army(){
        return $this->hasMany(TurnMapArmy::class,'territory_id');
    }
    public function turn(){
        return $this->hasMany(Turn::class,'territory_id');
    }
    public function orders(){
        return $this->hasMany(TurnMapOrder::class,'territory_id');
    }
    public function PowerToken(){
        return $this->hasMany(PowerToken::class);
    }
    public function SeaNeighbors(){
        return $this->neighbors->where('sea',true);
    }
    public function MovementsDestinations($id){
        if($this->sea){
            return $this->SeaNeighbors();
        } else {
            $result = $this->neighbors->where('sea',$this->sea);
            $seaneighbors = collect();
            foreach($this->SeaNeighbors() as $seanei){
                if($seanei->army()->get()->where('turnuser_id',$id)->isNotEmpty()){
                    $seaneighbors->push($seanei);
                }
            }
            $seainitial = $seaneighbors->values();
            for($i=0;$i<3;$i++){
                $seaordered=$seainitial->unique();
                $seainitial=$this->seadestinations($seaordered, $id);
            }
            foreach($seainitial->unique() as $sea){
                foreach($sea->neighbors->where('sea',0) as $land){
                    $result->push($land);
                }
            }
            return $result->unique();
        }
    }
    public function seadestinations($seaordered, $id){
        foreach($seaordered as $seanei){
            if($seanei->army()->get()->where('turnuser_id',$id)->isNotEmpty()){
                foreach($seanei->SeaNeighbors() as $seanei2){
                    if($seanei2->army()->get()->where('turnuser_id',$id)->isNotEmpty()){
                        $seaordered->push($seanei2);
                    }
                }
            }
        }
        return $seaordered->unique();
    }
    public function Retreats($id, $orattack){
        $origen = $this->MovementsDestinations($id);
        $turn = $this->army()->where('turnuser_id',$id)->first()->turn_id;
        $result = collect();
        foreach($origen as $destination){
            if($destination->id != $this->id){
                if($destination->id != $orattack){
                    if($destination->army->where('turn_id',$turn)->isEmpty()){
                        if($destination->PowerToken->where('turn_id',$turn)->isEmpty()){
                            $result->push($destination);
                        } else{
                            if($destination->PowerToken->where('turn_id',$turn)->first()->turnuser_id == $id){
                                $result->push($destination);
                            }
                        }
                    }else{
                        if($destination->army->where('turn_id',$turn)->first()->turnuser_id == $id){
                            $result->push($destination);
                        }
                    }
                }
            }
        }
        return $result;
    }
    public function Recruitment($id, $turn){
        $origen = $this->SeaNeighbors();
        $result = collect();
        foreach($origen as $creation){
            if($creation->army->where('turn_id',$turn)->isEmpty()){
                $result->push($creation);
            }else{
                if($creation->army->where('turn_id',$turn)->first()->turnuser_id == $id){
                    $result->push($creation);
                }
            }
        }
        return $result;
    }
    public function scopeFirstarmy($query){
        $query->join('turn_map_armies','maps.id','turn_map_armies.territory_id')
            ->where('turn_map_armies.turnuser_id',auth()->turn())
            ->first();
    }
    public function scopeSeaarmy($query, $userid){
        $query->join('turn_map_armies','maps.id','turn_map_armies.territory_id')
            ->where('sea','1')
            ->where('turn_map_armies.turnuser_id',$userid)
            ->select('turn_map_armies.*','maps.*');
    }
}
