<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Message extends Model
{
    protected $fillable = [
        'subject',
        'message',
        'sender_id',
        'receiver_id',
    ];

    protected $dates = [
        'deleted_at',
        'deleted_sender',
        'deleted_receiver',
    ];

    public function sender(){
        return $this->belongsTo(User::class);
    }

    public function receiver(){
        return $this->belongsTo(User::class);
    }
    public function scopeSended ($query){
        $query->where('sender_id', auth()->id())
        ->whereNull('deleted_sender');
    }
    public function scopeReceived ($query){
        $query->where('receiver_id', auth()->id())
        ->whereNull('deleted_receiver');
    }
    public function scopeMessaged ($query){
        $query->with(['sender','receiver'])
        ->where('sender_id', auth()->id())
        ->whereNull('deleted_sender')
        ->orWhere('receiver_id', auth()->id())
        ->whereNull('deleted_receiver')
        ->latest();
    }
}
