<?php

namespace App\Policies;

use App\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class MessagePolicy
{
    use HandlesAuthorization;

    /**
     * Create a new policy instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function before($user, $ability)
    {
        if ($user->hasRoles(['admin'])){
           return true;
        }
    }
    public function create(User $user){
        
    }
    public function store(User $user, Message $message)
    {
        return $user->id ===  $message->sender_id;
    }
    public function show(User $user, Message $message)
    {
        return $user->id === $message->receiver_id 
            || $user->id === $message->sender_id;
    }
    public function edit(User $user, Message $message)
    {
        return $user->id ===  $message->sender_id;
    }
    public function update(User $user, Message $message)
    {
        return $user->id === $message->sender_id;
    }
    public function destroy(User $user, Message $message)
    {
        return $user->id === $message->receiver_id 
            || $user->id === $message->sender_id;
    }
    public function delete(User $user, Message $message)
    {
        return $user->id === $message->receiver_id 
            || $user->id === $message->sender_id;
    }
}
