<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\TurnUser;


class TurnMapArmy extends Model
{
    use SoftDeletes;

    protected $fillable = ['turnuser_id','army_id','territory_id','retreat','turn_id'];
    
    public function turn(){
        return $this->belongsTo(TurnUser::class,'turnuser_id');
    }
    public function army(){
        return $this->belongsTo(Army::class);
    }
    public function territory(){
        return $this->belongsTo(Map::class,'territory_id');
    }
    public function torn(){
        return $this->belongsTo(Turn::class,'turn_id');
    }
    public function scopeControl($query, $territory, $turnid){
        $query->join('turn_users','turn_map_armies.turnuser_id','turn_users.id')
            ->where('turn_users.turn_id', $turnid)
            ->where('territory_id',$territory);
    }
}
