<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\TurnUser;


class TurnMapOrder extends Model
{
    use SoftDeletes;

    protected $fillable = ['turnuser_id','order_id','territory_id'];

    public function turn(){
        return $this->belongsTo(TurnUser::class);
    }
    public function order(){
        return $this->belongsTo(Order::class);
    }
    public function territory(){
        return $this->belongsTo(Map::class);
    }
    public function torn(){
        return $this->belongsTo(Turn::class);
    }
    public function strength(){
        
        switch($this->order_id){
            case(7):
                $val = 2;
                break;
            case(1):
            case(4):
            case(8):
            case(9):
                $val = 1;
                break;
            case(3):
                $val = -1;
                break;
            default:
                $val = 0;
                break;
        }
        return $val;
    }
}
