<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateMapsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('maps', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->unique();
            $table->boolean('sea');
            $table->integer('positionx');
            $table->integer('positiony');
            $table->boolean('port');
            $table->integer('castles')->default(0);
            $table->integer('crowns')->default(0);
            $table->integer('supply')->default(0);
            $table->integer('strength')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('maps');
    }
}
