<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTurnUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('turn_users', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('user_id');
            $table->foreign('user_id')->references('id')->on('users');
            $table->unsignedInteger('turn_id');
            $table->foreign('turn_id')->references('id')->on('turns');
            $table->unsignedInteger('house_id');
            $table->foreign('house_id')->references('id')->on('casas');
            $table->integer('supply');
            $table->integer('victory')->default('0');
            $table->integer('oThrone');
            $table->integer('oSword');
            $table->integer('oCrow');
            $table->boolean('westeros')->default('0');
            $table->integer('bThrone')->default('0');
            $table->integer('bSword')->default('0');
            $table->integer('bCrow')->default('0');
            $table->integer('powertokens')->default('5');
            $table->integer('bWild')->default('0');
            $table->integer('wildlose')->nullable();
            $table->integer('oVictory')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('turn_users');
    }
}
