<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTurnmaparmiesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('turn_map_armies', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('turn_id');
            $table->foreign('turn_id')->references('id')->on('turns');
            $table->unsignedInteger('turnuser_id');
            $table->foreign('turnuser_id')->references('id')->on('turn_users');
            $table->unsignedInteger('territory_id');
            $table->foreign('territory_id')->references('id')->on('maps');
            $table->unsignedInteger('army_id');
            $table->foreign('army_id')->references('id')->on('armies');
            $table->boolean('retreat')->default('0');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('turn_map_armies');
    }
}
