<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCombatsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('combats', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('map_id');
            $table->unsignedInteger('attack_id');
            $table->Integer('attack_strength');
            $table->Integer('attack_card')->nullable();
            $table->Integer('attack_suport')->default('0');
            $table->Integer('attack_retreat')->nullable();
            $table->String('attack_special')->nullable();
            $table->unsignedInteger('defender_id');
            $table->Integer('defender_strength');
            $table->Integer('defender_card')->nullable();
            $table->Integer('defender_suport')->default('0');
            $table->Integer('defender_retreat')->nullable();
            $table->String('defender_special')->nullable();
            $table->boolean('finished')->default('0');
            $table->boolean('powertoken')->default('0');
            $table->boolean('sword')->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('combats');
    }
}
