<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UserHouseCard extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('turnuser_housecard', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('turnuser_id');
            $table->foreign('turnuser_id')->references('id')->on('turn_users');
            $table->unsignedInteger('housecard_id');
            $table->foreign('housecard_id')->references('id')->on('house_cards');
            $table->boolean('used')->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('turnuser_housecard');
    }
}
