var canvas = document.querySelector("#tauler");
var tauler = canvas.getContext("2d");
var btnDrawMap = document.querySelector("#btnDrawMap");
var imagesPT = new Array();
var imagesarmies = new Array();
var imagesorders = new Array();
var mapa;
var armies;
var orders;
var userturn;
var userorders;
var powertokens;

function preloadimagesPT(userturn) {
    for (i = 0; i < userturn.length; i++) {
        imagesPT[userturn[i].id] = new Image();
        imagesPT[userturn[i].id].src = userturn[i].house.tokenimg;
    }
}

function preloadimagesarmies(armies) {
    for (i = 0; i < armies.length; i++) {
        imagesarmies[armies[i].id] = new Image();
        imagesarmies[armies[i].id].src = armies[i].imagesrc;
    }
}

function preloadimagesorders(orders) {
    for (i = 0; i < orders.length; i++) {
        imagesorders[orders[i].id] = new Image();
        imagesorders[orders[i].id].src = orders[i].imagesrc;
    }
}

function drawFitxaBackground(x, y, color, armyid) {
    tauler.beginPath();
    tauler.rect(x, y, 60, 60);
    tauler.fillStyle = color;
    tauler.fill();
    tauler.drawImage(imagesarmies[armyid], x, y);
}

function knowTerritory(id) {
    var territoryarray = mapa.filter(function(land) { return land.id == id; });
    var territory = territoryarray[0];
    return territory;
}

function drawOrder(id, orderid) {
    var territory = knowTerritory(id);
    tauler.drawImage(imagesorders[orderid], territory.positionx + 30, territory.positiony - 30);
}

function drawPowerToken(id, userid) {
    var territory = knowTerritory(id);
    tauler.drawImage(imagesPT[userid], territory.positionx + 30, territory.positiony - 30);
}

function drawMap() {
    $.each(powertokens, function(i, v) {
        drawPowerToken(v.map_id, v.turnuser_id);
    })
    $.each(userturn, function(index, value) {
        $.each(value.army, function(i, v) {
            var elements = (value.army).filter(function(land) { return land.territory_id == v.territory_id });
            var territory = knowTerritory(v.territory_id);
            if (elements.length == 1) {
                var y = -30;
                var x = -30;
            } else {
                switch (v) {
                    case elements[0]:
                        var y = -30;
                        var x = -30;
                        break;
                    case elements[1]:
                        var y = +30;
                        var x = -30;
                        break;
                    case elements[2]:
                        var y = +30;
                        var x = +30;
                        break;
                    case elements[3]:
                        var y = +30;
                        var x = +90;
                        break;
                }
            }
            drawFitxaBackground(territory.positionx + x, territory.positiony + y, value.house.color, v.army_id);
        })
        if (userorders.turn.phase > 7 && userorders.turn.phase != 10) {
            $.each(value.orders, function(i, v) {
                drawOrder(v.territory_id, v.order_id);
            })
        }

    })
    if (userorders.turn.phase == 7) {
        $.each(userorders.orders, function(i, v) {
            drawOrder(v.territory_id, v.order_id);
        })
    }
}

$(document).ready(function() {
    axios.get(turn).then(response => {
        mapa = response.data.map;
        armies = response.data.army;
        orders = response.data.orders;
        userturn = response.data.userturn;
        userorders = response.data.userorders;
        powertokens = response.data.powertokens;
        preloadimagesarmies(armies);
        preloadimagesorders(orders);
        preloadimagesPT(userturn);
        $.each(userturn, function(index, value) {
            $("#" + value.supply).append(value.house.name + "<br />");
        });
        setTimeout(drawMap(), 1000);
        btnDrawMap.style.position = "absolute";
        btnDrawMap.style.top = "10px";
        btnDrawMap.style.left = "20px";
        btnDrawMap.style.zIndex = "1";

    }).catch(err => {
        console.log(err.response.data);
    });
})

$("#btnDrawMap").click(function() { drawMap(); });
$('select').change(function() {
    canvas.width = canvas.width;
    drawMap();
    if (userorders.turn.phase >= 7 && userorders.turn.phase < 10) {
        $('select').each(function(value) {
            if ($(this).val() != "NO") {
                var territoryid = $(this).attr("id");
                drawOrder(territoryid, $(this).val());
            }
        });
    }
})