@extends('layouts.app')

@section('content')
    <div class="container">
        @if(str_replace(url('/'), '', url()->previous()) == "/login")
            <?php session(['lang' => auth()->user()->lang]); ?>
        @endif
        @if(session()->has('info'))
            <div class="alert alert-success" role="alert">
                {{session()->get('info')}}
            </div>
        @endif
        @if(session()->has('error'))
            <div class="alert alert-danger" role="alert">
                {{session()->get('error')}}
            </div>
        @endif
        <a href="{{route('jdt.create')}}" class="btn btn-veenders pull-right"><i class="fa fa-plus"></i> @lang('jdt.creategame')</a>
        <h1>@lang('navigation.start') - @lang('jdt.mygames')</h1>
        <div class="card-columns">
            @foreach($jdts as $jdt)
                <div class="card">
                    <img class="card-img-top" src="/img/partides.jpg">
                    <div class="card-header">
                        <h3>{{ $jdt->name}}</h3>
                    </div>
                    <div class="card-body">
                        <p>@lang('jdt.durationturn'): {{ str_limit($jdt->turn,2,'') }}h</p>
                        <p>@lang('jdt.coperative'): {{($jdt->coperative)?trans('jdt.suport'):trans('jdt.notsuport')}}</p>
                        <p>@lang('jdt.houseassign'): {{($jdt->houseassign)?trans('jdt.manual'):trans('jdt.automatic')}}</p>
                        <p>@lang('jdt.gamekind'): {{($jdt->gamekind==1)?trans('jdt.control'):trans('jdt.missions')}}</p>
                        <div>
                            <a href="{{route('jdt.show',$jdt)}}" class="btn btn-veenders"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> @lang('jdt.enter')</a>
                            @can('edit',$jdt)
                                <a href="{{route('jdt.edit', $jdt)}}" class="btn btn-veenders2"><i class="fa fa-pencil"></i> @lang('jdt.edit')</a>
                                <form action="{{route('jdt.destroy', $jdt)}}" method="POST" style="display:inline">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger mb-2"><i class="fa fa-trash"></i> @lang('jdt.erase')</button>
                                </form>
                            @endcan
                        </div>
                    </div>
                </div>
            @endforeach
        </div>
        <hr class="my-2">
        <div class="card">
            <div class="card-header">
                <h1><a class="link-title" href="{{route('message.index')}}">@lang('navigation.start') - @lang('message.lastmessages')</a></h1>
            </div>
            <div class="card-body">
                <table id="message-table" class="table table-bordered table-hover">
                    <thead>
                        <tr>
                            <th>@lang('message.subject')</th>
                            <th>@lang('message.sender')</th>
                            <th>@lang('message.accions')</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($messages as $message)
                            <tr role="tab" id="headingMessage{{$message->id}}">
                                <td><a class="message-title" data-toggle="collapse" href="#Message{{$message->id}}" aria-expanded="false" aria-controls="Message{{$message->id}}">{{$message->subject}}</a></td>
                                <td>{{$message->sender->alias}}</td>
                                <td>
                                    <a href="{{ route('message.send', ($message->receiver_id==auth()->user()->id)?$message->sender_id:$message->receiver_id) }}" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i></a>
                                    <form method="POST" action="{{ route('message.destroy',$message) }}" style="display:inline">
                                        @csrf
                                        @method('DELETE')
                                        <button class="btn btn-danger" onclick="return confirm('@lang('message.eraseconfirm')')"><i class="fa fa-trash"></i></button>
                                    </form>
                                </td>    
                            </tr>
                            <tr id="Message{{$message->id}}" class="collapse" role="tabpanel" aria-labelledby="headingMessage{{$message->id}}">
                                <td colspan="3">{{$message->message}}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
