@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <form method="POST" action="{{route('jdt.store')}}">
            @csrf
            <div class="card-header">
            <h5 class="card-title" id="exampleModalLabel">@lang('jdt.create')</h5>
            </div>
            <div class="card-body">
                <div class="form-group row {{ $errors->has('name') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.name')</label>
                    <div class="col-md-6">
                        <input name="name" class="form-control" value="{{old('name')}}" placeholder="@lang('jdt.intname')" required>
                        {!! $errors->first('name','<span class="help-block">:message</span>') !!}
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.open')</label>
                    <div class="col-md-6">
                        <label class="switch">
                            <input type="checkbox" name="open" value="{{old('open','1')}}">
                            <div class="slider round"></div>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.coperative')</label>
                    <div class="col-md-6">
                        <label class="switch">
                            <input type="checkbox" name="coperative" value="{{old('coperative','1')}}" disabled>
                            <div class="slider round"></div>
                        </label>
                    </div>
                </div>
                <fieldset disabled>
                <div class="form-group row {{ $errors->has('houseassign') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.houseassign')</label>
                    <div class="col-md-6">
                        <select id="disabledSelect" class="custom-select" name="houseassign">
                            <option value="0" selected>@lang('jdt.manual')</option>
                            <option value="1">@lang('jdt.automatic')</option>
                        </select>
                    </div>
                </div>
                </fieldset>
                <fieldset disabled>
                <div class="form-group row {{ $errors->has('turn') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.durationturn')</label>
                    <div class="col-md-6">
                        <select class="custom-select" name="turn">
                            <option value="12:00" {{ (old('turn') == '12:00') ? 'selected' : '' }}>12 hores</option>
                            <option value="24:00" {{ (old('turn') == '24:00') ? 'selected' : '' }}>24 hores</option>
                            <option value="36:00" {{ (old('turn') == '36:00') ? 'selected' : '' }}>36 hores</option>
                        </select>
                    </div>
                </div>
                </fieldset>
                <fieldset disabled>
                <div class="form-group row {{ $errors->has('gamekind') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.gamekind')</label>
                    <div class="col-md-6">
                        <select class="custom-select" name="gamekind">
                            <option value="1" {{ (old('gamekind') == 1) ? 'selected' : '' }}>@lang('jdt.control')</option>
                            <option value="2" {{ (old('gamekind') == 2) ? 'selected' : '' }}>@lang('jdt.missions')</option>
                        </select>
                    </div>
                </div>
                </fieldset>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.invitecode')</label>
                    <div class="col-md-6">
                        <input type="text" class="form-control" name="invitecode">
                    </div>
                </div>
            </div>
            <div class="card-footer row">
                <div class="col-4"></div>
                <div class="col-6">
                    <button type="submit" class="btn btn-veenders">@lang('navigation.accept')</button>
                    <a href="{{ URL::previous() }}" class="btn btn-veenders2">@lang('navigation.close')</a>
                </div>  
            </div>
        </form>
    </div>
</div>
@endsection