@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <form method="POST" action="{{route('jdt.update',$jocdetrons)}}">
            @csrf
            @method('put')
            <div class="card-header">
                <h3 class="card-title" id="exampleModalLabel">@lang('jdt.edit')</h3>
            </div>
            <div class="card-body">
                <div class="form-group row {{ $errors->has('name') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.name')</label>
                    <div class="col-md-6">
                        <input name="name" class="form-control" value="{{old('name',$jocdetrons->name)}}" placeholder="@lang('jdt.intname')" required>
                        {!! $errors->first('name','<span class="help-block">:message</span>') !!}
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.open')</label>
                    <div class="col-md-6">
                        <label class="switch">
                            <input type="checkbox" name="open" value="{{old('open','1')}}" {{old('open', $jocdetrons->open) == 1 ? 'checked':''}}>
                            <div class="slider round"></div>
                        </label>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.coperative')</label>
                    <div class="col-md-6">
                        <label class="switch">
                            <input type="checkbox" name="coperative" value="{{old('coperative','1')}}" {{old('open', $jocdetrons->coperative) == 1 ? 'checked':''}}>
                            <div class="slider round"></div>
                        </label>
                    </div>
                </div>
                <fieldset disabled>
                    <div class="form-group row {{ $errors->has('houseassign') ? 'has-error':''}}">
                        <label class="col-md-4 col-form-label text-md-right">@lang('jdt.houseassign')</label>
                        <div class="col-md-6">
                            <select id="disabledSelect" class="custom-select" name="houseassign">
                                <option value="0" selected>@lang('jdt.manual')</option>
                                <option value="1">@lang('jdt.automatic')</option>
                            </select>
                        </div>
                    </div>
                </fieldset>
                <div class="form-group row {{ $errors->has('turn') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.durationturn')</label>
                    <div class="col-md-6">
                        <select class="custom-select" name="turn">
                            <option value="12:00:00" {{(old('turn', $jocdetrons->turn) == '12:00:00') ? 'selected':''}}>12 hores</option>
                            <option value="24:00:00" {{(old('turn', $jocdetrons->turn) == '24:00:00') ? 'selected':''}}>24 hores</option>
                            <option value="36:00:00" {{(old('turn', $jocdetrons->turn) == '36:00:00') ? 'selected':''}}>36 hores</option>
                        </select>
                    </div>
                </div>
                <div class="form-group row {{ $errors->has('gamekind') ? 'has-error':''}}">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.gamekind')</label>
                    <div class="col-md-6">
                        <select class="custom-select" name="gamekind">
                            <option value="1" {{(old('gamekind', $jocdetrons->gamekind) == 1)? 'selected':''}}>@lang('jdt.control')</option>
                            <option value="2" {{(old('gamekind', $jocdetrons->gamekind) == 2)? 'selected':''}}>@lang('jdt.missions')</option>
                        </select>
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-4 col-form-label text-md-right">@lang('jdt.invitecode')</label>
                    <div class="col-md-6">
                        <input type="text" class="form-control" name="invitecode" value="{{old('invitcode',$jocdetrons->invitcode)}}" placeholder="@lang('jdt.intinvitecode')">
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-4"></div>
                    <div class="col-6">
                        <button type="submit" class="btn btn-veenders">@lang('navigation.accept')</button>
                        <a href="{{ route('jdt.index') }}" class="btn btn-veenders2">@lang('navigation.close')</a>
                    </div>
                </div>  
            </div>
        </form>
    </div>
    <div class="titleseparation"></div>
    <div class="card">
        <div class="card-header"><h3>@lang('jdt.houseassign')</h3></div>
        <form action="{{route('jdt.houseassign',$jocdetrons)}}" method="POST" id="houseassign">
            @csrf
            <div class="card-body"> 
                @foreach($jocdetrons->player as $player)
                    <input type="hidden" name="player[]" value="{{$player->id}}">
                    <div class="form-group row">
                        <label class="label col-md-4 col-form-label text-md-right"><a href="{{route('user.show',$player->id)}}" class="nav-link">{{$player->alias}}</a></label>
                        <div class="col-md-6">
                            <select name="house[]" id="{{$player->id}}" class="custom-select">
                                @foreach($cases as $casa)
                                   <option value="{{ $casa->id }}" {{old('house', $player->pivot->casa_id) == $casa->id ? 'selected':''}}>{{ $casa->name}}</option>
                                @endforeach
                            </select>
                            {!! $errors->first('house.'.$loop->index,'<div class="help-block alert alert-danger">:message</div>') !!}
                        </div>
                    </div>
                @endforeach
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-4"></div>
                    <div class="col-6">
                        <button type="submit" class="btn btn-xs btn-veenders"><i class="fa fa-floppy-o" aria-hidden="true"></i> @lang('post.save')</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal" id="IniciarPartida" tabindex="-1" role="dialog" aria-labelledby="IniciarPartidaLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="IniciarPartidaLabel">@lang('jdt.startgame')</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                @lang('jdt.startgamequestion')
            </div>
            <div class="modal-footer">
                <a class="btn btn-veenders" href="{{route('jdt.start',$jocdetrons)}} ">@lang('jdt.start')</a>
                <button type="button" class="btn btn-veenders2" data-dismiss="modal">@lang('navigation.close')</button>
            </div>
        </div>
    </div>
</div>
@endsection
@push('scripts')
<script type="text/javascript">
    if({{$jocdetrons->player->count()==6}} @foreach($jocdetrons->player as $player) && {{ ($player->pivot->casa_id === NULL)?'0': '1' }}@endforeach){
        $('#IniciarPartida').modal('show'); 
    }
</script>
@endpush