@extends('layouts.app')

@section('content')
    <div class="container">
        @if(str_replace(url('/'), '', url()->previous()) == "/login")
            <?php session(['lang' => auth()->user()->lang]); ?>
        @endif
        @if(session()->has('info'))
            <div class="alert alert-success" role="alert">
                {{session()->get('info')}}
            </div>
        @endif
        @if(session()->has('error'))
            <div class="alert alert-danger" role="alert">
                {{session()->get('error')}}
            </div>
        @endif
        @auth
        <a href="{{route('jdt.create')}}" class="btn btn-veenders pull-right"><i class="fa fa-plus"></i> @lang('jdt.creategame')</a>
            <h1>@lang('jdt.mygames')</h1>
            <div class="card-columns">
                @foreach($jdts as $jdt)
                    <div class="card">
                        <img class="card-img-top" src="/img/partides.jpg">
                        <div class="card-header">
                            <h3>{{ $jdt->name}}</h3>
                        </div>
                        <div class="card-body">
                            <p>@lang('jdt.durationturn'): {{ str_limit($jdt->turn,2,'') }}h</p>
                            <p>@lang('jdt.coperative'): {{($jdt->coperative)?trans('jdt.suport'):trans('jdt.notsuport')}}</p>
                            <p>@lang('jdt.houseassign'): {{($jdt->houseassign)?trans('jdt.manual'):trans('jdt.automatic')}}</p>
                            <p>@lang('jdt.gamekind'): {{($jdt->gamekind==1)?trans('jdt.control'):trans('jdt.missions')}}</p>
                            <div>
                                <a href="{{route('jdt.show',$jdt)}}" class="btn btn-veenders"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> @lang('jdt.enter')</a>
                                @can('edit',$jdt)
                                    <a href="{{route('jdt.edit', $jdt)}}" class="btn btn-veenders2"><i class="fa fa-pencil"></i> @lang('jdt.edit')</a>
                                    <form action="{{route('jdt.destroy', $jdt)}}" method="POST" style="display:inline">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="btn btn-danger mb-2"><i class="fa fa-trash"></i> @lang('jdt.erase')</button>
                                    </form>
                                @endcan
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        @endauth
        <div class="titleseparation">            
            <h1>@lang('jdt.opengames')</h1>
        </div>
        <div class="card-columns">
            @foreach($games as $jdt)
                @if($jdt->open == 1)
                <div class="card">
                    <img class="card-img-top" src="/img/partides.jpg">
                    <div class="card-header">
                        <h3>{{ $jdt->name}}</h3>
                    </div>
                    <div class="card-body">
                        <p>@lang('jdt.durationturn'): {{ str_limit($jdt->turn,2,'') }}h</p>
                        <p>@lang('jdt.coperative'): {{($jdt->coperative)?trans('jdt.suport'):trans('jdt.notsuport')}}</p>
                        <p>@lang('jdt.houseassign'): {{($jdt->houseassign)?trans('jdt.manual'):trans('jdt.automatic')}}</p>
                        <p>@lang('jdt.gamekind'): {{($jdt->gamekind==1)?trans('jdt.control'):trans('jdt.missions')}}</p>
                        @auth
                            <a href="{{route('jdt.show',$jdt)}}" class="btn btn-veenders"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> @lang('jdt.enter')</a>
                            @if(!$jdt->player->contains(auth()->user()->id) && $jdt->player->count()<6)
                                @if($jdt->invitecode==null)
                                    <form action="{{route('jdt.inscription',$jdt)}}" method="post" style="display:inline">
                                        @csrf
                                        <input type="hidden" name="invitecode" value="">
                                        <button type="submit" class="btn btn-veenders2"><i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')</button>
                                    </form>
                                @else
                                    <button id="invitebutton" type="button" class="btn btn-veenders2" data-toggle="modal" data-target="#inscription{{$jdt->id}}">
                                        <i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')
                                    </button>
                                    <a href="" id="confirmbutton" class="hidden"></a>
                                    <!-- Modal -->
                                    <div class="modal" id="inscription{{$jdt->id}}" tabindex="-1" role="dialog" aria-labelledby="inscription{{$jdt->id}}VerticalLabel" aria-hidden="true">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="inscription{{$jdt->id}}VerticalLabel">@lang('jdt.invitecode')</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <form action="{{route('jdt.inscription',$jdt)}}" method="post">
                                                    @csrf
                                                    <div class="modal-body">
                                                        <input type="text" name="invitecode" id="invitecode" class="form-control" placeholder="@lang('jdt.intinvitecode')">
                                                    </div>
                                                    <div class="modal-footer">
                                                            <button type="submit" id="acceptar" class="btn btn-veenders">@lang('navigation.accept')</button>
                                                        <button type="button" class="btn btn-veenders2" data-dismiss="modal">@lang('navigation.close')</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                @endif
                            @endif
                        @endauth
                    </div>
                </div>
                @endif
            @endforeach
        </div>
    </div>
@endsection