@extends('layouts.app')

@section('content')
    <div class="container">
        @if(str_replace(url('/'), '', url()->previous()) == "/login")
            <?php session(['lang' => auth()->user()->lang]); ?>
        @endif
        <div class="card">
            <div class="card-header"><h3>Territoris del Joc</h3></div>
            <div class="card-body">
                <table class="table table-striped">
                    <thead class="thead-light">
                        <tr>
                            <th>Id</th>
                            <th>Nom</th>
                            <th>position x</th>
                            <th>position y</th>
                            <th>Mar</th>
                            <th>port</th>
                            <th>castles</th>
                            <th>crowns</th>
                            <th>supply</th>
                            <th>strength</th>
                            <th>veins</th>
                        </tr>
                    </thead>
                    @foreach($maps as $map)
                        <tr>
                            <td>{{ $map->id }}</td>
                            <td>{{ trans('map.'.$map->name)}}</td>
                            <td>{{ $map->positionx }}</td>
                            <td>{{ $map->positiony }}</td>
                            <td>{{ $map->sea}}</td>
                            <td>{{ $map->port}}</td>
                            <td>{{ $map->castles}}</td>
                            <td>{{ $map->crowns}}</td>
                            <td>{{ $map->supply}}</td>
                            <td>{{ $map->strength}}</td>
                            <td>
                                @foreach($map->neighbors as $neigbhour)
                                    {{trans('map.'.$neigbhour->name)}}<br />
                                @endforeach
                            </td>
                        </tr>
                    @endforeach
                </table>
            </div>
        </div>
    </div>

@endsection