@extends('layouts.app')

@section('content')
@if(str_replace(url('/'), '', url()->previous()) == "/login")
    <?php session(['lang' => auth()->user()->lang]); ?>
@endif
<div class="container-fluid">
    <h3 class="cita">"El Hombre que Teme a la Derrota, ya ha sido derrotado"</h3>
    @if(session()->has('info'))
        <div class="alert alert-success" role="alert">
            {{session()->get('info')}}
        </div>
    @endif
    @if(session()->has('error'))
        <div class="alert alert-danger" role="alert">
            {{session()->get('error')}}
        </div>
    @endif
    <div class="row">
        <div class="col-12 col-lg-6">
            <h1 class=" tag">{{$jocdetrons->name}}</h1>
        </div>
        <div class="col-6 col-lg-3">
            <h3><span class="tag">@lang('jdt.turn'):</span> {{$userorders->turn->number}}</h3>
        </div>
        <div class="col-6 col-lg-3">
            <h3><span class="tag">@lang('jdt.house'):</span> <img src="{{$userorders->house->houseimg}}" alt="Escudo de Casa"> {{$userorders->house->name}}</h3>
        </div>
        <div class="col-12 col-lg-6">
            <canvas id="tauler" width="1494" height="2950"></canvas>
            <button id="btnDrawMap">Recargar Mapa</button>
        </div>
        <div class="clas-12 col-lg-6 row">
            @switch($userorders->turn->phase)
                @case(1)
                @case(2)
                @case(3)
                    @include('jdt.partials.westeros')
                @break
                @case(7)
                    @include('jdt.partials.orders')
                @break
                @case(8)
                    @include('jdt.partials.raids')
                @break
                @case(9)
                    @include('jdt.partials.movements')
                @break
                @case(10)
                @case(11)
                    @include('jdt.partials.finalturn')
                @break
                @case(12)
                    @include('jdt.partials.combat')
                @break
                @case(15)
                    @include('jdt.partials.finalgame')
                @break
            @endswitch
            <div class="col-12">
                @include('jdt.partials.victorypoints')
            </div>
            <div class="col-12">
                @include('jdt.partials.supplyarea')
            </div>
            <div class="col-12">
                @include('jdt.partials.influencearea')
            </div>
        </div>
        @if($userorders->turn->combats()->isNotEmpty())
        <div class="col-12 row p-4">
           
            <table class="table">
                <tr>
                    <th>@lang('jdt.combat') @lang('jdt.on')</th>
                    <th>@lang('jdt.attack')</th>
                    <th>@lang('jdt.strength')</th>
                    <th>@lang('jdt.card')</th>
                    <th>@lang('jdt.defender')</th>
                    <th>@lang('jdt.strength')</th>
                    <th>@lang('jdt.card')</th>
                </tr>
                @foreach($userorders->turn->combats() as $combat)
                    <tr class="{{ ($combat->finished)?'table-info':''}}">
                        <td>{{trans('map.'.$map->where('id',$combat->map_id)->first()->name)}}</td>
                        <td>{{$combat->attack->house->name}}</td>
                        <td>{{$combat->attack_strength}}</td>                    
                        <td>{{($combat->finished)?$combat->attack_cards->name:'Combat en Joc'}}</td>
                        <td>{{$combat->defender->house->name}}</td>
                        <td>{{$combat->defender_strength}}</td>
                        <td>{{($combat->finished)?$combat->defender_cards->name:'Combat en Joc'}}</td>
                    </tr>
                @endforeach
            </table>
        </div>
        @endif
        <div class="col-12 p-4 row">
            @foreach($userturn as $usercards)
                <div class="col-12 col-md-6 col-lg-4 col-xl-2">
                    <table class="table">
                        <tr>
                            <th>@lang('jdt.cardname')</th>
                            <th><i class="fa fa-male" aria-hidden="true"></i></th>
                            <th><i class="fa fa-gavel" aria-hidden="true"></i></th>
                            <th><i class="fa fa-shield" aria-hidden="true"></i></th>
                        </tr>
                        @foreach($usercards->housecard as $housecard)
                        <tr class="{{ ($housecard->pivot->used)?'table-info':''}}">
                            <td>{{$housecard->name}}</td>
                            <td>{{$housecard->strength}}</td>
                            <td>{{$housecard->swords}}</td>
                            <td>{{$housecard->shields}}</td>
                        </tr>
                        @endforeach
                    </table>
                </div>
            @endforeach
        </div>
    </div>
</div>

@endsection
@push('styles')

@endpush
@push('scripts')
<script type="text/javascript">
    var turn = {{$userorders->turn_id}};
    @if($userorders->turn->phase == 1)
        turn = {{$userorders->turn->previous($userorders->turn->jocdetrons_id)->first()->id}};
    @endif
    @if($userorders->turn->phase == 12)
        turn = {{$combat->id}};
    @endif
</script>
<script type="text/javascript" src="/js/tauler.js"></script>
@endpush


