@extends('layouts.app')

@section('content')
<div class="container-fluid">
    <h3 class="cita">"El Hombre que Teme a la Derrota, ya ha sido derrotado"</h3>
    <div class="row">
        <div class="col-12 col-lg-6">
            <h1 class=" tag">{{$jocdetrons->name}}</h1>
        </div>
        <div class="col-6 col-lg-3">
            <h3><span class="tag">@lang('jdt.turn'):</span> 1</h3>
        </div>
        <div class="col-6 col-lg-3">
            <h3><span class="tag">@lang('jdt.house'):</span> {{$jocdetrons->player->firstWhere('id',auth()->user()->id)->casa[0]->name}}</h3>
        </div>
        <div class="col-12 col-lg-6">
            <canvas id="tauler" width="1494" height="2950"></canvas>
        </div>
        <div class="clas-12 col-lg-6 row">
            <div class="col-12">
                <select name="mapselector" id="mapselector" class="custom-select">
                    @foreach($map as $territory)
                        <option value="{{$territory->id}}">{{trans('map.'.$territory->name)}}</option>
                    @endforeach
                </select>
            </div>
            <div class="col-12">
                <h4>@lang('jdt.victorypoints')</h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th></th>
                            <th colspan="10">@lang('jdt.turn')</th>
                        </tr>
                        <tr>
                            <th>@lang('jdt.house')</th>
                            <th>1</th>
                            <th>2</th>
                            <th>3</th>
                            <th>4</th>
                            <th>5</th>
                            <th>6</th>
                            <th>7</th>
                            <th>8</th>
                            <th>9</th>
                            <th>10</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($house as $casa)
                            <tr>
                                <td>{{$casa->name}}</td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                                <td></td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
            <div class="col-12">
                <h4>@lang('jdt.supplypoints')</h4>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th colspan="6">@lang('jdt.supply')</th>
                        </tr>
                        <tr>
                            <th>1</th>
                            <th>2</th>
                            <th>3</th>
                            <th>4</th>
                            <th>5</th>
                            <th>6</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr>
                            <td>3<br />2</td>
                            <td>3<br />2<br />2</td>
                            <td>3<br />2<br />2<br />2</td>
                            <td>3<br />3<br />2<br />2</td>
                            <td>4<br />3<br />2<br />2</td>
                            <td>4<br />3<br />3<br />2<br />2</td>
                        </tr>
                    </tfoot>  
                </table>
            </div>
        </div>
    </div>
</div>

@endsection
@push('styles')

@endpush
@push('scripts')
<script type="text/javascript">
    var mapa = {!! json_encode($map) !!};
</script>
<script type="text/javascript" src="/js/tauler.js"></script>
@endpush


