@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header"><h1>{{$jocdetrons->name}}</h1></div>
        <div class="card-body">
            <table class="table">
                <tr>
                    <th>@lang('jdt.organizer'):</th>
                    <td><a href="{{ route('user.show',$jocdetrons->user->id) }}" class="nav-link">{{$jocdetrons->user->alias}}</a></td>
                    <td><a href="{{ route('message.send',$jocdetrons->user->id) }}" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i> @lang('user.sendM')</a></td>
                </tr>
                <tr>
                    <th>@lang('jdt.durationturn'):</th>
                    <td colspan="2">{{ str_limit($jocdetrons->turn,2,'') }}h</td>
                </tr>
                <tr>
                    <th>@lang('jdt.open'):</th>
                    <td colspan="2">{{($jocdetrons->open)?trans('jdt.open'):trans('jdt.close')}}</td>
                </tr>
                <tr>
                    <th>@lang('jdt.coperative'):</th>
                    <td colspan="2">{{($jocdetrons->coperative)?trans('jdt.suport'):trans('jdt.notsuport')}}</td>
                </tr>
                <tr>
                    <th>@lang('jdt.houseassign'):</th>
                    <td colspan="2">{{($jocdetrons->houseassign)?trans('jdt.manual'):trans('jdt.automatic')}}</td>
                </tr>
                <tr>
                    <th>@lang('jdt.gamekind'):</th>
                    <td colspan="2">{{($jocdetrons->gamekind==1)?trans('jdt.control'):trans('jdt.missions')}}</td>
                </tr>
                <tr>
                    <th>@lang('jdt.invitecode'):</th>
                    <td colspan="2">{{($jocdetrons->invitecode!=null)?trans('jdt.notrequired'):trans('jdt.required')}}</td>
                </tr>
                <tr>
                    <th colspan="3"><h3>@lang('jdt.players')</h3></th>
                </tr>
                @foreach($jocdetrons->player as $player)
                    <tr>
                        <td><a href="{{ route('user.show',$player->id) }}" class="nav-link">{{$player->alias}}</a></td>
                        <td>{{($player->pivot->casa_id != null)?$player->casa[0]->name:trans('jdt.pending')}}</td>
                        <td><a href="{{ route('message.send',$player->id) }}" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i> @lang('user.sendM')</a></td>
                    </tr>
                @endforeach
            </table>
        </div>
        <div class="card-footer">
            @if(!$jocdetrons->player->contains(auth()->user()->id) && $jocdetrons->player->count()<6)
                @if($jocdetrons->invitecode==null)
                    <form action="{{route('jdt.inscription',$jocdetrons)}}" method="post" style="display:inline">
                        @csrf
                        <input type="hidden" name="invitecode" value="">
                        <button type="submit" class="btn btn-veenders"><i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')</button>
                    </form>
                @else
                    <button id="invitebutton" type="button" class="btn btn-veenders" data-toggle="modal" data-target="#inscription{{$jocdetrons->id}}">
                        <i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')
                    </button>
                    <a href="" id="confirmbutton" class="hidden"></a>
                    <!-- Modal -->
                    <div class="modal" id="inscription{{$jocdetrons->id}}" tabindex="-1" role="dialog" aria-labelledby="inscription{{$jocdetrons->id}}VerticalLabel" aria-hidden="true">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="inscription{{$jocdetrons->id}}VerticalLabel">@lang('jdt.invitecode')</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="{{route('jdt.inscription',$jocdetrons)}}" method="post">
                                    @csrf
                                    <div class="modal-body">
                                        <input type="text" name="invitecode" id="invitecode" class="form-control" placeholder="@lang('jdt.intinvitecode')">
                                    </div>
                                    <div class="modal-footer">
                                            <button type="submit" id="acceptar" class="btn btn-veenders">@lang('navigation.accept')</button>
                                        <button type="button" class="btn btn-veenders2" data-dismiss="modal">@lang('navigation.close')</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                @endif
            @endif
            <a href="{{ route('jdt.index') }}" class="btn btn-veenders2">@lang('navigation.close')</a>
        </div>
    </div>
</div>
@endsection