<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Cinzel|Raleway" rel="stylesheet" type="text/css">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
    <link href="/css/font-awesome.min.css" rel="stylesheet">
    @stack('styles')
    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-120303339-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());
        gtag('config', 'UA-120303339-1');
    </script>
</head>
<body>
    <div id="app" class="d-flex flex-column">
        <nav class="navbar navbar-expand-md navbar-light navbar-laravel">
            <div class="container-fluid">
                <a class="navbar-brand" href="{{ url('/') }}">
                    <img class="brandimg" src="/img/logoh.png">
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">
                        @guest
                            <li><a class="nav-link" href="{{ url('/') }}">@lang('navigation.start')</a></li>
                            <li><a class="nav-link" href="{{ route('jdt.index') }}">@lang('navigation.games')</a></li>
                            <li><a class="nav-link" href="{{ route('blog.index') }}">@lang('navigation.spider')</a></li>  
                        @else
                            <li><a class="nav-link" href="{{ route('home') }}">@lang('navigation.start')</a></li>
                            <li><a class="nav-link" href="{{ route('jdt.index') }}">@lang('navigation.ogames')</a></li>
                            <li><a class="nav-link" href="{{ route('message.index') }}">@lang('navigation.crowns')</a></li>
                            @if (auth()->user()->hasRoles(['admin']))
                                <li><a class="nav-link" href="{{ route('user.index') }}">@lang('navigation.users')</a></li>
                                <li><a class="nav-link" href="{{ route('post.index') }}">@lang('navigation.posts')</a></li>
                            @endif
                        @endguest
                        <li><a class="nav-link" href="{{ route('rules') }}">@lang('navigation.rules')</a></li>
                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li><a class="nav-link" href="{{ route('login') }}">@lang('user.login')</a></li>
                            <li><a class="nav-link" href="{{ route('register') }}">@lang('user.register')</a></li>
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    {{ Auth::user()->alias }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('user.show',Auth::user()->id) }}">
                                        @lang('user.view')
                                    </a>
                                    <a class="dropdown-item" href="{{ route('user.edit',Auth::user()->id) }}">
                                        @lang('user.edit')
                                    </a>
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        @lang('user.logout')
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>
        <main class="py-4">
            @yield('content')
        </main>
        <footer class="d-flex align-items-center">
            <div class="legal d-flex align-items-center justify-content-center">
                @lang('navigation.legal')
            </div>
            <div class="lang justify-content-center btn-group dropup">
                <button type="button" class="btn btn-veenders dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    {{ App::getLocale() }}
                </button>
                <div class="dropdown-menu dropdown-lang dropdown-menu-right">
                    <a  class="dropdown-item" href="{{ url('lang', ['ca']) }}">Ca</a>
                    <a  class="dropdown-item" href="{{ url('lang', ['es']) }}">Es</a>
                    <a  class="dropdown-item" href="{{ url('lang', ['en']) }}">En</a>
                </div>
            </div>
        </footer>
    </div>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}"></script>
    @stack('scripts')
</body>
</html>
