@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header">
            <h3>@lang('message.messagesend')</h3>
        </div>
        <div class="card-body">
            <form method="POST" action="{{ route('message.store') }}">
                @csrf
                <input hidden id="receiver_id" name="receiver_id" type="text" value="{{$user->id}}">
                <input hidden id="sender_id" type="text" name="sender_id" value="{{ auth()->user()->id }}">
                <div class="form-group row">
                    <div class="col-md-4 col-form-label text-md-right">@lang('message.messagefor'):</div>
                    <div class="col-md-6">{{ $user->alias}}</div>
                </div>
                <div class="form-group row">
                    <label for="subject" class="col-md-4 col-form-label text-md-right">@lang('message.subject')</label>
                    <div class="col-md-6">
                        <input id="subject" type="text" class="form-control {{ $errors->has('subject') ? ' is-invalid' : '' }}" name="subject" value="{{ old('subject')}}" required autofocus>

                        @if ($errors->has('subject'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('subject') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>
                <div class="form-group row">
                    <label for="message" class="col-md-4 col-form-label text-md-right">@lang('message.message')</label>

                    <div class="col-md-6 input-group">
                        <textarea id="message" class="form-control" rows="10" name="message">{{ old('message') }}</textarea>

                        @if ($errors->has('message'))
                            <span class="invalid-feedback">
                                <strong>{{ $errors->first('message') }}</strong>
                            </span>
                        @endif
                    </div>
                </div>
                <div class="form-group row mb-0">
                    <div class="col-md-6 offset-md-4">
                        <button type="submit" class="btn btn-veenders">
                            <i class="fa fa-paper-plane" aria-hidden="true"></i> @lang('user.sendM')
                        </button>
                        <a href="{{ URL::previous() }}" class="btn btn-veenders2"><i class="fa fa-undo" aria-hidden="true"></i> @lang('navigation.back')</a>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection