@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        <div class="card-header">
                <h1>@lang('message.mymessages')</h1>
        </div>
        <div class="card-body">
                <input type="text" class="form-control" id="Cercador" onkeyup="searchFunction()" placeholder="@lang('message.search')"><br />
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a id="todos" class="nav-link active" href="#!" onclick="allMessages()">@lang('message.all')</a>
                    </li>
                    <li class="nav-item">
                        <a id="enviados" class="nav-link" href="#!" onclick="Sended('{{auth()->user()->alias}}')">@lang('message.sended')</a>
                    </li>
                    <li class="nav-item">
                        <a id="recibidos" class="nav-link" href="#!" onclick="Received('{{auth()->user()->alias}}')">@lang('message.received')</a>
                    </li>
                </ul>
            <table id="message-table" class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th>@lang('message.receiver')</th>
                        <th>@lang('message.subject')</th>
                        <th>@lang('message.sender')</th>
                        <th>@lang('message.accions')</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($messages as $message)
                        <tr role="tab" id="headingMessage{{$message->id}}">
                            <td>{{$message->receiver->alias}}</td>
                            <td><a class="message-title" data-toggle="collapse" href="#Message{{$message->id}}" aria-expanded="false" aria-controls="Message{{$message->id}}">{{$message->subject}}</a></td>
                            <td>{{$message->sender->alias}}</td>
                            <td>
                                <a href="{{ route('message.send', ($message->receiver_id==auth()->user()->id)?$message->sender_id:$message->receiver_id) }}" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i></a>
                                <form method="POST" action="{{ route('message.destroy',$message) }}" style="display:inline">
                                    @csrf
                                    @method('DELETE')
                                    <button class="btn btn-danger" onclick="return confirm('@lang('message.eraseconfirm')')"><i class="fa fa-trash"></i></button>
                                </form>
                            </td>    
                        </tr>
                        <tr id="Message{{$message->id}}" class="collapse" role="tabpanel" aria-labelledby="headingMessage{{$message->id}}">
                            <td colspan="4">{{$message->message}}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
@endsection
@push('styles')
@endpush
@push('scripts')
    <script>
        function searchFunction() {
            $(".nav-link").removeClass("active");
            $("#todos").addClass("active");

            var input, filter, table, tr, td, i;
            input = document.getElementById("Cercador");
            filter = input.value.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");
            
            for (i = 1; i < tr.length; i++) {
                tr[i].style.display = "none";
            }
            for (i = 1; i < tr.length; i++) {
                for(x = 0; x < 3; x++){
                    td = tr[i].getElementsByTagName("td")[x];
                    if (td) {
                        if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                        } 
                    }
                }
            }
        }
    </script>
    <script>
        function Received(name) {
            $(".nav-link").removeClass("active");
            $("#recibidos").addClass("active");
            
            var filter, table, tr, td, i;
            filter = name.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");
    
            for (i = 1; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[0];
                if (td) {
                    if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
        
            }
        }
    </script>
    <script>
        function Sended(name) {
            $(".nav-link").removeClass("active");
            $("#enviados").addClass("active");

            var filter, table, tr, td, i;
            filter = name.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");

            for (i = 1; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[2];
                if (td) {
                    if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
        
            }
        }
    </script>
    <script>
        function allMessages() {
            $(".nav-link").removeClass("active");
            $("#todos").addClass("active");

            var table, tr, td, i;
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");

            for (i = 1; i < tr.length; i++) {
                tr[i].style.display = "";
            }
        }
    </script>

@endpush