@extends('layouts.app')

@section('content')
<div class="container">
    <div class="card">
        @if ($post->photos->count()===1)
            <figure><img src="{{ $post->photos->first()->url }}" alt="" class="img-blog"></figure>
        @elseif($post->photos->count() > 1)
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                    <ol class="carousel-indicators">
                        @foreach($post->photos as $photo)
                            <li data-target="#carouselExampleIndicators" data-slide-to="{{ $loop->index}}" class="{{$loop->first ? 'active' : ''}}"></li>
                        @endforeach
                    </ol>
                <div class="carousel-inner" role="listbox">
                    @foreach($post->photos as $photo)
                    <div class="carousel-item {{$loop->first ? 'active' : ''}}">
                        <figure class="d-block w-100"><img src="{{  url($photo->url) }}" alt=""></figure>
                    </div>
                    @endforeach
                </div>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
                </div>
            </div>
        @endif
        <div class="card-body">
            <h1 class="card-title">{{$post->title}}</h1>
            <h3 class="card-subtitle"><small>Publicado en {{optional($post->published_at)->format('M Y')}} por {{ $post->user->name }}</small></h3>
            <p class="excerpt">{{$post->excerpt}}</p>
            {!!$post->body!!}
        </div>
    </div>
</div>
@endsection
@push('styles')

@endpush
@push('scripts')

@endpush