@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card-header"><h3>@lang('user.profile')</h3></div>
            <div class="card-body">
                <table class="table">
                    <tr>
                        <th>@lang('user.alias')</th>
                        <td>{{ $user->alias}} </td>
                    </tr>
                    <tr>
                        <th>@lang('user.name')</th>
                        <td>{{ $user->name}} </td>
                    </tr>
                    <tr>
                        <th>@lang('user.surname')</th>
                        <td>{{ $user->surname}} </td>
                    </tr>
                    <tr>
                        <th>@lang('user.role')</th>
                        <td>{{ $user->role->displayName}} </td>
                    </tr>
                    @can('edit', $user)
                        <tr>
                            <th>@lang('user.email')</th>
                            <td>{{ $user->email}} </td>
                        </tr>
                        <tr>
                            <th>@lang('user.birthday')</th>
                            <td>{{ $user->birthday->format('d M Y')}} </td>
                        </tr>
                    @endcan
                    <tr>
                        <th>@lang('user.description')</th>
                        <td>{{ $user->description }}</td>
                    </tr>
                    <th></th>
                    <td>
                        <a href="{{ route('message.send',$user->id) }}" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i> @lang('user.sendM')</a>
                        @can('edit', $user)
                            <a href="{{ route('user.edit',$user->id) }}" class="btn btn-veenders2"><i class="fa fa-pencil" aria-hidden="true"></i> @lang('user.edit')</a>
                            <form method="POST" action="{{ route('user.destroy',$user) }}" style="display:inline">
                                @csrf
                                @method('DELETE')
                                <button class="btn btn-xs btn-danger" onclick="return confirm('@lang('user.eraseconfirm')')"><i class="fa fa-trash"></i> @lang('user.erase')</button>
                            </form>
                        @endcan
                        <a href="{{ URL::previous() }}" class="btn btn-veenders2"><i class="fa fa-undo" aria-hidden="true"></i> @lang('navigation.back')</a>
                    </td>
                </table>
            </div>
        </div>
    </div>
</div>

@endsection