@extends('layouts.app')

@section('content')
<div class="principal container-fluid row">
    <div class="jumbotron">
        <h1 class="display-3">Veenders</h1>
        <p class="lead">@lang('navigation.welcome')</p>
        <hr class="my-2">
        <p>@lang('navigation.jdt')</p>
        @guest
            <p class="lead">
            <a class="btn btn-veenders btn-lg" href="{{ route('login') }}" role="button">@lang('user.login')</a>
            <a class="btn btn-veenders2 btn-lg" href="{{ route('register') }}" role="button">@lang('user.register')</a>
            </p>
        @endguest
    </div>
</div>
<div class="container">          
    <h1>@lang('jdt.opengames')</h1>
    <div class="card-columns">
        @foreach($games as $jdt)
            @if($jdt->open == 1)
            <div class="card">
                <img class="card-img-top" src="/img/partides.jpg">
                <div class="card-header">
                    <h3>{{ $jdt->name}}</h3>
                </div>
                <div class="card-body">
                    <p>@lang('jdt.durationturn'): {{ str_limit($jdt->turn,2,'') }}h</p>
                    <p>@lang('jdt.coperative'): {{($jdt->coperative)?trans('jdt.suport'):trans('jdt.notsuport')}}</p>
                    <p>@lang('jdt.houseassign'): {{($jdt->houseassign)?trans('jdt.manual'):trans('jdt.automatic')}}</p>
                    <p>@lang('jdt.gamekind'): {{($jdt->gamekind==1)?trans('jdt.control'):trans('jdt.missions')}}</p>
                    @auth
                        <a href="{{route('jdt.show',$jdt)}}" class="btn btn-veenders"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> @lang('jdt.enter')</a>
                        @if(!$jdt->player->contains(auth()->user()->id) && $jdt->player->count()<6)
                            @if($jdt->invitecode==null)
                                <form action="{{route('jdt.inscription',$jdt)}}" method="post" style="display:inline">
                                    @csrf
                                    <input type="hidden" name="invitecode" value="">
                                    <button type="submit" class="btn btn-veenders2"><i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')</button>
                                </form>
                            @else
                                <button id="invitebutton" type="button" class="btn btn-veenders2" data-toggle="modal" data-target="#inscription{{$jdt->id}}">
                                    <i class="fa fa-sign-in" aria-hidden="true"></i> @lang('jdt.inscription')
                                </button>
                                <a href="" id="confirmbutton" class="hidden"></a>
                                <!-- Modal -->
                                <div class="modal" id="inscription{{$jdt->id}}" tabindex="-1" role="dialog" aria-labelledby="inscription{{$jdt->id}}VerticalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="inscription{{$jdt->id}}VerticalLabel">@lang('jdt.invitecode')</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <form action="{{route('jdt.inscription',$jdt)}}" method="post">
                                                @csrf
                                                <div class="modal-body">
                                                    <input type="text" name="invitecode" id="invitecode" class="form-control" placeholder="@lang('jdt.intinvitecode')">
                                                </div>
                                                <div class="modal-footer">
                                                        <button type="submit" id="acceptar" class="btn btn-veenders">@lang('navigation.accept')</button>
                                                    <button type="button" class="btn btn-veenders2" data-dismiss="modal">@lang('navigation.close')</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @endif
                    @endauth
                </div>
            </div>
            @endif
        @endforeach
    </div>
</div>
<hr class="my-2">
<div class="container">
        @foreach($posts as $post)
        <article class="card">
            <div class="card-body">
                <h3 class="card-title"><a href="{{ route('blog.show', $post)}}" class="blog-title">{{ $post->title }}</a></h3>
                <div class="row">
                    @if ($post->photos->count()>=1)
                        <div class="col-3">
                            <figure><img src="{{ url($post->photos->first()->url) }}" alt="" class="img-blog"></figure>
                        </div>
                        <div class="col-9">
                    @else
                        <div class="col-12">
                    @endif                
                        <p>{{ $post->excerpt }}</p>
                    </div>
                </div>
        </article>
        <br />
        @endforeach
    </div>
@endsection
