<?php $__env->startSection('content'); ?>

<div class="container">
    <div class="row justify-content-center">
        <div class="card">
            <h3 class="card-header"><?php echo app('translator')->getFromJson('user.userlist'); ?></h3>
            <div class="card-body">
                <table id="users-table" class="table table-bordered table-hover table-striped">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->getFromJson('user.alias'); ?></th>
                            <th><?php echo app('translator')->getFromJson('user.name'); ?></th>
                            <th><?php echo app('translator')->getFromJson('user.surname'); ?></th>
                            <th><?php echo app('translator')->getFromJson('user.role'); ?></th>
                            <?php if(auth()->user()->hasRoles(['admin'])): ?>
                                <th><?php echo app('translator')->getFromJson('user.email'); ?></th>
                                <th><?php echo app('translator')->getFromJson('user.birthday'); ?></th>
                            <?php endif; ?>
                            <th><?php echo app('translator')->getFromJson('user.actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($user->alias); ?></td>
                                <td><?php echo e($user->name); ?></td>
                                <td><?php echo e($user->surname); ?></td>
                                <td><?php echo e($user->role->displayName); ?></td>
                                <?php if(auth()->user()->hasRoles(['admin'])): ?>
                                    <td><?php echo e($user->email); ?></td>
                                    <td><?php echo e($user->birthday->format('d M Y')); ?></td>
                                <?php endif; ?>
                                <td><a href="<?php echo e(route('user.show',$user->id)); ?>" class="btn btn-veenders btn-sm"><i class="fa fa-eye" aria-hidden="true"></i></a>
                                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit', $user)): ?>
                                        <a href="<?php echo e(route('user.edit',$user->id)); ?>" class="btn btn-veenders2 btn-sm"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                                        <form method="POST" action="<?php echo e(route('user.destroy',$user)); ?>" style="display:inline">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button class="btn btn-sm btn-danger" onclick="return confirm('<?php echo app('translator')->getFromJson('user.eraseconfirm'); ?>')"><i class="fa fa-trash"></i></button>
                                        </form>
                                    <?php endif; ?>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>

<?php $__env->startPush('styles'); ?>
    <!-- DataTables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
    
    <script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
    <script>
        $(function () {
            $('#users-table').DataTable({
            'paging'      : true,
            'lengthChange': false,
            'searching'   : true,
            'ordering'    : true,
            'info'        : true,
            'autoWidth'   : false,
            language: {
                search: "Cercar:",
                processing:     "Processant...",
                lengthMenu:    "Mostrar _MENU_ registres",
                info:           "Mostrant registres del _START_ al _END_ d'un total de _TOTAL_ registres",
                infoEmpty:      "No hi han registres",
                infoFiltered:   "(filtrat d'un total de _MAX_ registres)",
                infoPostFix:    "",
                loadingRecords: "Carregant registres...",
                zeroRecords:    "No s'han trobat registres",
                emptyTable:     "No hi ha informació disponible",
                paginate: {
                    first:      "Primera",
                    previous:   "Anterior",
                    next:       "Següent",
                    last:       "Última"
                },
                aria: {
                    sortAscending:  ": Activar per ordenar la columna de manera ascendent",
                    sortDescending: ": Activar per ordenar la columna de manera descendent"
                }
            }
            })
        })
    </script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>