<?php $__env->startSection('content'); ?>
<div class="principal container-fluid row">
    <div class="jumbotron">
        <h1 class="display-3">Veenders</h1>
        <p class="lead"><?php echo app('translator')->getFromJson('navigation.welcome'); ?></p>
        <hr class="my-2">
        <p><?php echo app('translator')->getFromJson('navigation.jdt'); ?></p>
        <?php if(auth()->guard()->guest()): ?>
            <p class="lead">
            <a class="btn btn-veenders btn-lg" href="<?php echo e(route('login')); ?>" role="button"><?php echo app('translator')->getFromJson('user.login'); ?></a>
            <a class="btn btn-veenders2 btn-lg" href="<?php echo e(route('register')); ?>" role="button"><?php echo app('translator')->getFromJson('user.register'); ?></a>
            </p>
        <?php endif; ?>
    </div>
</div>
<div class="container">          
    <h1><?php echo app('translator')->getFromJson('jdt.opengames'); ?></h1>
    <div class="card-columns">
        <?php $__currentLoopData = $games; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $jdt): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php if($jdt->open == 1): ?>
            <div class="card">
                <img class="card-img-top" src="/img/partides.jpg">
                <div class="card-header">
                    <h3><?php echo e($jdt->name); ?></h3>
                </div>
                <div class="card-body">
                    <p><?php echo app('translator')->getFromJson('jdt.durationturn'); ?>: <?php echo e(str_limit($jdt->turn,2,'')); ?>h</p>
                    <p><?php echo app('translator')->getFromJson('jdt.coperative'); ?>: <?php echo e(($jdt->coperative)?trans('jdt.suport'):trans('jdt.notsuport')); ?></p>
                    <p><?php echo app('translator')->getFromJson('jdt.houseassign'); ?>: <?php echo e(($jdt->houseassign)?trans('jdt.manual'):trans('jdt.automatic')); ?></p>
                    <p><?php echo app('translator')->getFromJson('jdt.gamekind'); ?>: <?php echo e(($jdt->gamekind==1)?trans('jdt.control'):trans('jdt.missions')); ?></p>
                    <?php if(auth()->guard()->check()): ?>
                        <a href="<?php echo e(route('jdt.show',$jdt)); ?>" class="btn btn-veenders"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('jdt.enter'); ?></a>
                        <?php if(!$jdt->player->contains(auth()->user()->id) && $jdt->player->count()<6): ?>
                            <?php if($jdt->invitecode==null): ?>
                                <form action="<?php echo e(route('jdt.inscription',$jdt)); ?>" method="post" style="display:inline">
                                    <?php echo csrf_field(); ?>
                                    <input type="hidden" name="invitecode" value="">
                                    <button type="submit" class="btn btn-veenders2"><i class="fa fa-sign-in" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('jdt.inscription'); ?></button>
                                </form>
                            <?php else: ?>
                                <button id="invitebutton" type="button" class="btn btn-veenders2" data-toggle="modal" data-target="#inscription<?php echo e($jdt->id); ?>">
                                    <i class="fa fa-sign-in" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('jdt.inscription'); ?>
                                </button>
                                <a href="" id="confirmbutton" class="hidden"></a>
                                <!-- Modal -->
                                <div class="modal" id="inscription<?php echo e($jdt->id); ?>" tabindex="-1" role="dialog" aria-labelledby="inscription<?php echo e($jdt->id); ?>VerticalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="inscription<?php echo e($jdt->id); ?>VerticalLabel"><?php echo app('translator')->getFromJson('jdt.invitecode'); ?></h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <form action="<?php echo e(route('jdt.inscription',$jdt)); ?>" method="post">
                                                <?php echo csrf_field(); ?>
                                                <div class="modal-body">
                                                    <input type="text" name="invitecode" id="invitecode" class="form-control" placeholder="<?php echo app('translator')->getFromJson('jdt.intinvitecode'); ?>">
                                                </div>
                                                <div class="modal-footer">
                                                        <button type="submit" id="acceptar" class="btn btn-veenders"><?php echo app('translator')->getFromJson('navigation.accept'); ?></button>
                                                    <button type="button" class="btn btn-veenders2" data-dismiss="modal"><?php echo app('translator')->getFromJson('navigation.close'); ?></button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            <?php endif; ?>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</div>
<hr class="my-2">
<div class="container">
        <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <article class="card">
            <div class="card-body">
                <h3 class="card-title"><a href="<?php echo e(route('blog.show', $post)); ?>" class="blog-title"><?php echo e($post->title); ?></a></h3>
                <div class="row">
                    <?php if($post->photos->count()>=1): ?>
                        <div class="col-3">
                            <figure><img src="<?php echo e(url($post->photos->first()->url)); ?>" alt="" class="img-blog"></figure>
                        </div>
                        <div class="col-9">
                    <?php else: ?>
                        <div class="col-12">
                    <?php endif; ?>                
                        <p><?php echo e($post->excerpt); ?></p>
                    </div>
                </div>
        </article>
        <br />
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>