<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card-header"><h3><?php echo app('translator')->getFromJson('user.profile'); ?></h3></div>
            <div class="card-body">
                <table class="table">
                    <tr>
                        <th><?php echo app('translator')->getFromJson('user.alias'); ?></th>
                        <td><?php echo e($user->alias); ?> </td>
                    </tr>
                    <tr>
                        <th><?php echo app('translator')->getFromJson('user.name'); ?></th>
                        <td><?php echo e($user->name); ?> </td>
                    </tr>
                    <tr>
                        <th><?php echo app('translator')->getFromJson('user.surname'); ?></th>
                        <td><?php echo e($user->surname); ?> </td>
                    </tr>
                    <tr>
                        <th><?php echo app('translator')->getFromJson('user.role'); ?></th>
                        <td><?php echo e($user->role->displayName); ?> </td>
                    </tr>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit', $user)): ?>
                        <tr>
                            <th><?php echo app('translator')->getFromJson('user.email'); ?></th>
                            <td><?php echo e($user->email); ?> </td>
                        </tr>
                        <tr>
                            <th><?php echo app('translator')->getFromJson('user.birthday'); ?></th>
                            <td><?php echo e($user->birthday->format('d M Y')); ?> </td>
                        </tr>
                    <?php endif; ?>
                    <tr>
                        <th><?php echo app('translator')->getFromJson('user.description'); ?></th>
                        <td><?php echo e($user->description); ?></td>
                    </tr>
                    <th></th>
                    <td>
                        <a href="<?php echo e(route('message.send',$user->id)); ?>" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('user.sendM'); ?></a>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('edit', $user)): ?>
                            <a href="<?php echo e(route('user.edit',$user->id)); ?>" class="btn btn-veenders2"><i class="fa fa-pencil" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('user.edit'); ?></a>
                            <form method="POST" action="<?php echo e(route('user.destroy',$user)); ?>" style="display:inline">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('DELETE'); ?>
                                <button class="btn btn-xs btn-danger" onclick="return confirm('<?php echo app('translator')->getFromJson('user.eraseconfirm'); ?>')"><i class="fa fa-trash"></i> <?php echo app('translator')->getFromJson('user.erase'); ?></button>
                            </form>
                        <?php endif; ?>
                        <a href="<?php echo e(URL::previous()); ?>" class="btn btn-veenders2"><i class="fa fa-undo" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('navigation.back'); ?></a>
                    </td>
                </table>
            </div>
        </div>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>