<?php $__env->startSection('content'); ?>
<?php if(session()->has('info')): ?>
    <div class="alert alert-success" role="alert">
        <?php echo app('translator')->getFromJson('post.updateok'); ?>
    </div>
<?php endif; ?>
<?php if($post->photos->count()): ?>
    <div class="row fotos">
        <div class="col-md-12">
            <div class="d-flex flex-row">
                <?php $__currentLoopData = $post->photos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $photo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <form method="POST" action="<?php echo e(route('post.photos.destroy', $photo)); ?>">
                        <?php echo method_field('delete'); ?>
                        <?php echo csrf_field(); ?>
                        <div class="col-md-12">
                            <button class="btn btn-danger btn-xs" style="position:absolute"><i class="fa fa-remove"></i></button>
                            <img class="img-responsive" src="<?php echo e(url($photo->url)); ?>">
                        </div>
                    </form>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </div>
<?php endif; ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="card">
            <div class="card-header"><h3><?php echo app('translator')->getFromJson('post.create'); ?></h3></div>
            <div class="card-body">
                <form method="POST" action="<?php echo e(route('post.update', $post)); ?>">
                    <div class="row">
                        <?php echo method_field('put'); ?>
                        <?php echo csrf_field(); ?>
                        <div class="col-md-8">
                            <h3><small><?php echo app('translator')->getFromJson('post.contentpost'); ?></small></h3>
                            <div class="form-group <?php echo e($errors->has('title') ? 'has-error':''); ?>">
                                <label><?php echo app('translator')->getFromJson('post.title'); ?></label>
                                <input name="title" class="form-control" value="<?php echo e(old('title', $post->title)); ?>" placeholder="<?php echo app('translator')->getFromJson('post.inttitle'); ?>">
                                <?php echo $errors->first('title','<span class="help-block">:message</span>'); ?>

                            </div>
                            <div class="form-group <?php echo e($errors->has('body') ? 'has-error':''); ?>">
                                <label><?php echo app('translator')->getFromJson('post.content'); ?></label>
                                <textarea name="body" id="editor" class="form-control" placeholder="<?php echo app('translator')->getFromJson('post.intcontent'); ?>" rows="10"><?php echo e(old('body',$post->body)); ?></textarea>
                                <?php echo $errors->first('body','<span class="help-block">:message</span>'); ?>

                            </div>
                        </div>
                        <div class="col-md-4">
                            <h3><small><?php echo app('translator')->getFromJson('post.aditional'); ?></small></h3>
                            <div class="form-group">
                                <label><?php echo app('translator')->getFromJson('post.published_at'); ?>:</label>
                                <div class="input-group date">
                                    <div class="input-group-prepend">
                                        <i class="fa fa-calendar input-group-text"></i>
                                    </div>
                                    <input name="published_at" type="text" class="form-control pull-right" value="<?php echo e(old('published_at',$post->published_at ? $post->published_at->format('d/m/Y'):'')); ?>" id="published_at">
                                </div>
                            </div>
                            <div class="form-group <?php echo e($errors->has('category_id') ? 'has-error':''); ?>">
                                <label for="categorias"><?php echo app('translator')->getFromJson('post.categories'); ?></label>
                                <select name="category_id" id="category_id" class="form-control select2">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>" <?php echo e(old('category_id', $post->category_id) == $category->id ? 'selected':''); ?>><?php echo e($category->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php echo $errors->first('category_id','<span class="help-block">:message</span>'); ?>

                            </div>
                            <div class="form-group <?php echo e($errors->has('excerpt') ? 'has-error':''); ?>">
                                <label><?php echo app('translator')->getFromJson('post.excerpt'); ?></label>
                                <textarea name="excerpt" class="form-control" placeholder="<?php echo app('translator')->getFromJson('post.intexcerpt'); ?>"><?php echo e(old('excerpt',$post->excerpt)); ?></textarea>
                                <?php echo $errors->first('excerpt','<span class="help-block">:message</span>'); ?>

                            </div>
                            <div class="form-group">
                                <div class="dropzone"></div>
                            </div>
                            <div class="form-group">
                                <button type="submit" class="btn btn-veenders btn-block"><i class="fa fa-floppy-o" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('post.save'); ?></button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('styles'); ?>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.2.0/min/dropzone.min.css">
    <link rel="stylesheet" href="/plugins/select2/dist/css/select2.min.css">
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
    <script type="text/javascript" src="/plugins/dropzone/dropzone.js"></script>
    <script type="text/javascript" src="/plugins/datepicker/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="/plugins/datepicker/locales/bootstrap-datepicker.ca.js" charset="UTF-8"></script>
    <script type="text/javascript" src="/plugins/datepicker/locales/bootstrap-datepicker.es.js" charset="UTF-8"></script>
    <script src="/plugins/ckeditor/ckeditor.js"></script>
    <script src="/plugins/select2/dist/js/select2.full.min.js"></script>
    <script>
        $('#published_at').datepicker({
            autoclose:true,
            weekStart: 1,
            language: '<?php echo App::getLocale();?>',
        });
        CKEDITOR.replace('editor');
        $('.select2').select2({
            tags:true
        });
        var myDropzone = new Dropzone('.dropzone',{
            url:'/post/posts/<?php echo e($post->id); ?>/photos',
            paramName: 'photo',
            acceptedFiles: 'image/*',
            maxFilesize: 2,
            headers: {
                'X-CSRF-TOKEN' : '<?php echo e(csrf_token()); ?>'
            },
            dictDefaultMessage: '<?php echo app('translator')->getFromJson('post.upimages'); ?>'
        });
        myDropzone.on('error', function(file,res){
            var msg = res.errors.photo[0];
            $('.dz-error-message:last > span').text(msg);
        })
        Dropzone.autoDiscover=false;
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>