<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="card">
        <div class="card-header">
                <h1><?php echo app('translator')->getFromJson('message.mymessages'); ?></h1>
        </div>
        <div class="card-body">
                <input type="text" class="form-control" id="Cercador" onkeyup="searchFunction()" placeholder="<?php echo app('translator')->getFromJson('message.search'); ?>"><br />
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a id="todos" class="nav-link active" href="#!" onclick="allMessages()"><?php echo app('translator')->getFromJson('message.all'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a id="enviados" class="nav-link" href="#!" onclick="Sended('<?php echo e(auth()->user()->alias); ?>')"><?php echo app('translator')->getFromJson('message.sended'); ?></a>
                    </li>
                    <li class="nav-item">
                        <a id="recibidos" class="nav-link" href="#!" onclick="Received('<?php echo e(auth()->user()->alias); ?>')"><?php echo app('translator')->getFromJson('message.received'); ?></a>
                    </li>
                </ul>
            <table id="message-table" class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <th><?php echo app('translator')->getFromJson('message.receiver'); ?></th>
                        <th><?php echo app('translator')->getFromJson('message.subject'); ?></th>
                        <th><?php echo app('translator')->getFromJson('message.sender'); ?></th>
                        <th><?php echo app('translator')->getFromJson('message.accions'); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $messages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $message): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr role="tab" id="headingMessage<?php echo e($message->id); ?>">
                            <td><?php echo e($message->receiver->alias); ?></td>
                            <td><a class="message-title" data-toggle="collapse" href="#Message<?php echo e($message->id); ?>" aria-expanded="false" aria-controls="Message<?php echo e($message->id); ?>"><?php echo e($message->subject); ?></a></td>
                            <td><?php echo e($message->sender->alias); ?></td>
                            <td>
                                <a href="<?php echo e(route('message.send', ($message->receiver_id==auth()->user()->id)?$message->sender_id:$message->receiver_id)); ?>" class="btn btn-veenders"><i class="fa fa-paper-plane" aria-hidden="true"></i></a>
                                <form method="POST" action="<?php echo e(route('message.destroy',$message)); ?>" style="display:inline">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button class="btn btn-danger" onclick="return confirm('<?php echo app('translator')->getFromJson('message.eraseconfirm'); ?>')"><i class="fa fa-trash"></i></button>
                                </form>
                            </td>    
                        </tr>
                        <tr id="Message<?php echo e($message->id); ?>" class="collapse" role="tabpanel" aria-labelledby="headingMessage<?php echo e($message->id); ?>">
                            <td colspan="4"><?php echo e($message->message); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('styles'); ?>
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
    <script>
        function searchFunction() {
            $(".nav-link").removeClass("active");
            $("#todos").addClass("active");

            var input, filter, table, tr, td, i;
            input = document.getElementById("Cercador");
            filter = input.value.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");
            
            for (i = 1; i < tr.length; i++) {
                tr[i].style.display = "none";
            }
            for (i = 1; i < tr.length; i++) {
                for(x = 0; x < 3; x++){
                    td = tr[i].getElementsByTagName("td")[x];
                    if (td) {
                        if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                        } 
                    }
                }
            }
        }
    </script>
    <script>
        function Received(name) {
            $(".nav-link").removeClass("active");
            $("#recibidos").addClass("active");
            
            var filter, table, tr, td, i;
            filter = name.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");
    
            for (i = 1; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[0];
                if (td) {
                    if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
        
            }
        }
    </script>
    <script>
        function Sended(name) {
            $(".nav-link").removeClass("active");
            $("#enviados").addClass("active");

            var filter, table, tr, td, i;
            filter = name.toUpperCase();
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");

            for (i = 1; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[2];
                if (td) {
                    if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
        
            }
        }
    </script>
    <script>
        function allMessages() {
            $(".nav-link").removeClass("active");
            $("#todos").addClass("active");

            var table, tr, td, i;
            table = document.getElementById("message-table");
            tr = table.getElementsByTagName("tr");

            for (i = 1; i < tr.length; i++) {
                tr[i].style.display = "";
            }
        }
    </script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>