<?php $__env->startSection('content'); ?>
<div class="container">
    <?php if(session()->has('info')): ?>
        <div class="alert alert-danger" role="alert">
           <?php echo e(session('info')); ?>

        </div>
    <?php endif; ?>
    <div class="row justify-content-center">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title"><?php echo app('translator')->getFromJson('post.publishedposts'); ?></h3>
                <button class="btn btn-veenders pull-right" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-plus"></i> <?php echo app('translator')->getFromJson('post.create'); ?></button>
            </div>
            <div class="card-body">
                <table id="posts-table" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th><?php echo app('translator')->getFromJson('post.id'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.title'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.excerpt'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.published_at'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.accions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $posts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $post): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($post->id); ?></td>
                            <td><?php echo e($post->title); ?></td>
                            <td><?php echo e($post->excerpt); ?></td>
                            <td><?php echo e(filled($post->published_at) ? $post->published_at->format('d M Y') : trans('post.nopublish')); ?></td>
                            <td>
                                <a href="<?php echo e(route('blog.show', $post)); ?>" class="btn btn-sm btn-veenders" target="_blank"><i class="fa fa-eye"></i></a>
                                <a href="<?php echo e(route('post.edit', $post)); ?>" class="btn btn-sm btn-veenders2"><i class="fa fa-pencil"></i></a>
                                <form method="POST" action="<?php echo e(route('post.destroy',$post)); ?>" style="display:inline">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button class="btn btn-sm btn-danger" onclick="return confirm('<?php echo app('translator')->getFromJson('post.eraseconfirm'); ?>')"><i class="fa fa-trash"></i></button>
                                </form>
                                
                            </td>
                        </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th><?php echo app('translator')->getFromJson('post.id'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.title'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.excerpt'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.published_at'); ?></th>
                            <th><?php echo app('translator')->getFromJson('post.accions'); ?></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('styles'); ?>
    <!-- DataTables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
<?php $__env->stopPush(); ?>
<?php $__env->startPush('scripts'); ?>
<div class="modal" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <form method="POST" action="<?php echo e(route('post.store')); ?>">
            <?php echo csrf_field(); ?>
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel"><?php echo app('translator')->getFromJson('post.create'); ?></h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true" class="secundari">&times;</span>
            </button>
            </div>
            <div class="modal-body">
                <div class="form-group <?php echo e($errors->has('title') ? 'has-error':''); ?>">
                    <label><?php echo app('translator')->getFromJson('post.title'); ?></label>
                    <input name="title" class="form-control" value="<?php echo e(old('title')); ?>" placeholder="<?php echo app('translator')->getFromJson('post.inttitle'); ?>" required>
                    <?php echo $errors->first('title','<span class="help-block">:message</span>'); ?>

                </div>
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-veenders2" data-dismiss="modal"><?php echo app('translator')->getFromJson('navigation.close'); ?></button>
            <button type="submit" class="btn btn-veenders"><?php echo app('translator')->getFromJson('navigation.accept'); ?></button>
            </div>
        </form>
      </div>
    </div>
  </div>
<script src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script>
    $(function () {
        $('#posts-table').DataTable({
        'paging'      : true,
        'lengthChange': false,
        'searching'   : true,
        'ordering'    : true,
        'info'        : true,
        'autoWidth'   : false,
        language: {
            search: "Cercar:",
            processing:     "Processant...",
            lengthMenu:    "Mostrar _MENU_ registres",
            info:           "Mostrant registres del _START_ al _END_ d'un total de _TOTAL_ registres",
            infoEmpty:      "No hi han registres",
            infoFiltered:   "(filtrat d'un total de _MAX_ registres)",
            infoPostFix:    "",
            loadingRecords: "Carregant registres...",
            zeroRecords:    "No s'han trobat registres",
            emptyTable:     "No hi ha informació disponible",
            paginate: {
                first:      "Primera",
                previous:   "Anterior",
                next:       "Següent",
                last:       "Última"
            },
            aria: {
                sortAscending:  ": Activar per ordenar la columna de manera ascendent",
                sortDescending: ": Activar per ordenar la columna de manera descendent"
            }
        },
        "columns": [
            { "width": "5%" },
            { "width": "15%" },
            { "width": "55%" },
            { "width": "10%" },
            { "width": "15%" },
        ]
        })
    })
</script>

<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>