<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <?php if(session()->has('info')): ?>
                <div class="alert alert-success" role="alert">
                    <?php echo app('translator')->getFromJson('user.updateok'); ?>
                </div>
            <?php endif; ?>
            <div class="card">
                <div class="card-header"> <h3><?php echo app('translator')->getFromJson('user.edit'); ?> </h3> </div>

                <div class="card-body">
                    <form method="POST" action="<?php echo e(route('user.update', $user->id)); ?>">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('PUT'); ?>
                    <div class="form-group row">
                            <label for="alias" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.alias'); ?> </label>

                            <div class="col-md-6">
                                <input id="alias" type="text" class="form-control<?php echo e($errors->has('alias') ? ' is-invalid' : ''); ?>" name="alias" value="<?php echo e(isset($user->alias) ? $user->alias : old('alias')); ?>" required autofocus>

                                <?php if($errors->has('alias')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('alias')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="name" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.name'); ?></label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control<?php echo e($errors->has('name') ? ' is-invalid' : ''); ?>" name="name" value="<?php echo e(isset($user->name) ? $user->name : old('name')); ?>" required>

                                <?php if($errors->has('name')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('name')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label for="surname" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.surname'); ?></label>

                            <div class="col-md-6">
                                <input id="surname" type="text" class="form-control<?php echo e($errors->has('surname') ? ' is-invalid' : ''); ?>" name="surname" value="<?php echo e(isset($user->surname) ? $user->surname : old('surname')); ?>" required>

                                <?php if($errors->has('surname')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('surname')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="email" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.email'); ?></label>

                            <div class="col-md-6">
                                <input id="email" type="email" class="form-control<?php echo e($errors->has('email') ? ' is-invalid' : ''); ?>" name="email" value="<?php echo e(isset($user->email) ? $user->email : old('email')); ?>" required>

                                <?php if($errors->has('email')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('email')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.password'); ?></label>

                            <div class="col-md-6">
                                <input id="password" type="password" class="form-control<?php echo e($errors->has('password') ? ' is-invalid' : ''); ?>" name="password">

                                <?php if($errors->has('password')): ?>
                                    <span class="invalid-feedback">
                                        <strong><?php echo e($errors->first('password')); ?></strong>
                                    </span>
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="password-confirm" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.cpassword'); ?></label>

                            <div class="col-md-6">
                                <input id="password-confirm" type="password" class="form-control" name="password_confirmation">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="birthday" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.birthday'); ?></label>

                            <div class="col-md-6 input-group date">
                                <div class="input-group-prepend">
                                    <i class="fa fa-calendar input-group-text"></i>
                                </div>
                                <input id="birthday" class="form-control" type="text" name="birthday" value="<?php echo e(old('birthday',$user->birthday ? $user->birthday->format('d/m/Y'):'')); ?>" required>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="lang" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.preferedlang'); ?></label>

                            <div class="col-md-6 input-group">
                                <select name="lang" class="custom-select">
                                    <option value="ca" <?php echo e($user->lang=='ca' ? 'selected':''); ?>>Català</option>
                                    <option value="es" <?php echo e($user->lang=='es' ? 'selected':''); ?>>Español</option>
                                    <option value="en" <?php echo e($user->lang=='en' ? 'selected':''); ?>>English</option>
                                </select>
                            </div>
                        </div>

                        <?php if(auth()->user()->hasRoles(['admin'])): ?>
                            <div class="form-group row">
                                <label for="role" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.role'); ?></label>

                                <div class="col-md-6 input-group">
                                    <select name="role_id" class="custom-select">
                                        <?php $__currentLoopData = $roles; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $role): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($role->id); ?>" <?php echo e($user->role==$role ? 'selected':''); ?>><?php echo e($role->displayName); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                            </div>
                        <?php endif; ?>

                        <div class="form-group row">
                            <label for="description" class="col-md-4 col-form-label text-md-right"><?php echo app('translator')->getFromJson('user.description'); ?></label>

                            <div class="col-md-6 input-group">
                                <textarea id="description" class="form-control" rows="5" name="description"><?php echo e(isset($user->description) ? $user->description : old('description')); ?></textarea>
                            </div>
                        </div>

                        <div class="form-group row mb-0">
                            <div class="col-md-6 offset-md-4">
                                <button type="submit" class="btn btn-veenders">
                                    <i class="fa fa-floppy-o" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('user.update'); ?>
                                </button>
                                <a href="<?php echo e(URL::previous()); ?>" class="btn btn-veenders2"><i class="fa fa-undo" aria-hidden="true"></i> <?php echo app('translator')->getFromJson('navigation.back'); ?></a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    
    <script type="text/javascript" src="/plugins/datepicker/bootstrap-datepicker.js"></script>
    <script type="text/javascript" src="/plugins/datepicker/locales/bootstrap-datepicker.ca.js" charset="UTF-8"></script>
    <script type="text/javascript" src="/plugins/datepicker/locales/bootstrap-datepicker.es.js" charset="UTF-8"></script>
    <script>
    $('#birthday').datepicker({
        weekStart: 1,
        language: '<?php echo App::getLocale();?>',
    });
    </script>
    
<?php $__env->stopPush(); ?>
        
<?php echo $__env->make('layouts.app', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>